<?php 
wp_enqueue_style( 'ilist_prestyle13_stylesheet', OCOPD_TPL_URL1 . "/$template_code/style.css");

wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));

?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>
<?php 

if($column>3){
	$column = 3;
}
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	echo '<style type="text/css">

	.presi13itembgcolor {
		background:'.$ilist_item_bgcolor[0].';
	}
	</style>';	
}
$hoderbg = 'style="overflow:hidden"'; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow:hidden"';
}

$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}
$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0])&&!empty($ilist_subtitle_color[0])){
	
		echo '<style type="text/css">

		.desinfopg8fontsize p{
			color:'.$ilist_subtitle_color[0].' !important;
		}
		</style>';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
	$bordercolor = 'style="background:'.$ilist_border_color[0].'"';
}
$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}

if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.infogp5hoveritem:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
</style>';
}
if(isset($ilist_hover_title_color[0]) && $ilist_hover_title_color[0]!=''){
echo '<style type="text/css">
.infogp4hovertextcolor:hover{
	color:'.$ilist_hover_title_color[0].' !important;
}

</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.sl2tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.infog5dfontsize p{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

if(isset($ilist_hover_desc_color[0]) && $ilist_hover_desc_color[0]!=''){
echo '<style type="text/css">
.infogp5hovertextcolor:hover p{
	color:'.$ilist_hover_desc_color[0].' !important;
}

</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.sl2titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl2titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.sl2descfont p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.sl2descfont p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl2descfont p{font-family:'.$titlefamily.';}</style>';
	}
}
?>

<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_direction";
	}
?>
<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl2titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>
<div id="qcld-list-holder" class="qcld-list-hoder sl2bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>	
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="sl2titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
				<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globalss = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globalss='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globalss.'">';
				

			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	<?php 
	$left_arr = array();
	$right_arr = array();
	foreach( $lists as $list_sl ) : ?>
	<?php 
		
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}
	?>
		<?php foreach($list_sl as $list) : 
				if($cnt%2==1){
					$left_arr[] = $list;
				}else{
					$right_arr[] = $list;
				}
						
				
				$cnt++; 
			?>
		<?php endforeach; ?>
	<?php endforeach; ?>
<div class="comparedivelement tlist-holder-x6">	
	<div class="left-col-x6 items-col-x6">
	<?php 
	$clt=99;
	foreach($left_arr as $leftlist): ?>
			
		<div class="single-item single-item-x6 infogp5hoveritem presi13itembgcolor wow <?php echo $leftlist['qcld_css_animation']; ?>" style="<?php echo (!empty($leftlist['qcld_entrybg_color'])?'background:'.$leftlist['qcld_entrybg_color']:''); ?>" id="qcld_sl_<?php echo get_the_ID()."_".$clt; ?>"> 
			<div class="item_top_border"></div>
			<?php if($leftlist['qcld_text_image']!=''){
				echo '<a href="'. ($leftlist['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><img class="ilist_infographic_08" src="'. $leftlist['qcld_text_image'].'" alt="image-1" /></div></a>';
			}
			elseif(isset($leftlist['qcld_text_image_fa']) and $leftlist['qcld_text_image_fa']!=''){
					echo '<div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';" class="fa '.$leftlist['qcld_text_image_fa'].'"></i></div>';
			}else{
				
				echo '<div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';" class="fa fa-check"></i></div>';
			}
			?>
			<div class="content-box">
			<?php 
			if(!empty($leftlist['qcld_progress_bar'])){
			ilist_progress_bar($leftlist['qcld_progress_bar']); 

			}

			?>
			<?php 
				if(!empty($leftlist['qcld_text_title'])){
			?>
				<h4 <?php echo $titlecolor; ?> class="sl2titlefont sl2tfontsize infogp4hovertextcolor">
				
				
				
				
				
				
 <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->    			
				
				
				
				
				
				
				
				<?php if( $upvote == 'on' ) : ?>

				<!-- upvote section -->
				<div class="upvote-section" style="cursor:pointer;display: inline-block;margin-right: 10px;">
					<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo (trim($leftlist['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist">
						<?php 
						  if( isset($leftlist['sl_thumbs_up']) && (int)$leftlist['sl_thumbs_up'] > 0 ){
							echo (int)$leftlist['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>					
					<?php 
						
						echo ($leftlist['qcld_text_title']);
					?>
				
				</h4>
			<?php
				}
			?>
				
			<?php 
				if(!empty($leftlist['qcld_text_desc'])){
			?>
							<?php if(!empty($leftlist['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($leftlist['qcld_text_title']); ?>">
							<?php 	} ?>
				<span class="sl2descfont infog5dfontsize infogp5hovertextcolor desinfopg8fontsize">
					<?php 
						echo apply_filters('the_content',$leftlist['qcld_text_desc']);
						
					?>
				</span>	

							<?php if(!empty($leftlist['qcld_text_long_desc'])){ ?>
							</a>							
							<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($leftlist['qcld_text_title']); ?>" style="display:none;">	
							<span class="ilist-fancybox-content" >	
							<?php echo apply_filters('the_content',$leftlist['qcld_text_long_desc']); ?>
							</span>
							</span>
							<?php 	} ?>						
			<?php
				}
			?>			
			</div>
		</div>

	<?php 
	$clt--;
	endforeach; 
	$ctn = 1;
	?>
	</div>
	
<div class="center-image image-col-x6 items-col-x6">
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='middle'){
	?>
	<div style="width:100%;margin:0 auto">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}else{
	?>
		<?php 
		if(isset($ilist_holder_bg_image[0]) and !empty($ilist_holder_bg_image[0])){

		
				$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
			
			?>
			<img src="<?php echo $ilist_holder_bg_image[0]; ?>" class="<?php echo $qcld_css_animation_globals; ?>"> 
			<?php
		}else{
			$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
		?>
			<img src="<?php echo OCOPD_TPL_URL1 . "/$template_code/images/divider.png"; ?>"   class="<?php echo $qcld_css_animation_globals; ?>"> 
		<?php
		}
		?>	
	<?php
	}
	?>
	

		
	</div>

	<div class="right-col-x6 items-col-x6" >
	<?php foreach($right_arr as $rightlist): ?>
	
		<div class="single-item single-item-x6 infogp5hoveritem presi13itembgcolor wow <?php echo $rightlist['qcld_css_animation']; ?>" style="<?php echo ($rightlist['qcld_entrybg_color']!=''?'background:'.$rightlist['qcld_entrybg_color']:''); ?>" id="qcld_sl_<?php echo get_the_ID()."_".$ctn; ?>"> 
			<div class="item_top_border"></div>
			<?php if(isset($rightlist['qcld_text_image'])&&$rightlist['qcld_text_image']!=''){
				echo '<a href="'. ($rightlist['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><img class="ilist_infographic_08" src="'. $rightlist['qcld_text_image'].'" alt="image-1" /></div></a>';
			}
			elseif(isset($rightlist['qcld_text_image_fa']) and $rightlist['qcld_text_image_fa']!=''){
					echo '<div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';" class="fa '.$rightlist['qcld_text_image_fa'].'"></i></div>';
			}else{
				
				echo '<div class="item_icon_holder" style=" background-color:#ffffff;  border-color:#d3d3d4;"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').';" class="fa fa-check"></i></div>';
			}
			?>
			<div class="content-box">
			<?php ilist_progress_bar($rightlist['qcld_progress_bar']); ?>
			<?php 
				if($rightlist['qcld_text_title']!=''){
			?>
				<h4 <?php echo $titlecolor; ?> class="sl2titlefont sl2tfontsize infogp4hovertextcolor">
					<?php 
						
						echo ($rightlist['qcld_text_title']);
					?>
				<?php if( $upvote == 'on' ) : ?>

				<!-- upvote section -->
				<div class="upvote-section" style="cursor:pointer;display: inline-block;margin-left: 10px;">
					<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo (trim($rightlist['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist">
						<?php 
						  if( isset($rightlist['sl_thumbs_up']) && (int)$rightlist['sl_thumbs_up'] > 0 ){
							echo (int)$rightlist['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>		
                
                
                
  			
				
 <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->                  
                
                
                
                
                
                				
				</h4>
			
			<?php
				}
			?>
				
			<?php 
				if($rightlist['qcld_text_desc']!=''){
			?>
							<?php if(!empty($rightlist['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($rightlist['qcld_text_title']); ?>">
							<?php 	} ?>
				<span class="sl2descfont infog5dfontsize infogp5hovertextcolor desinfopg8fontsize">
					<?php 
						echo apply_filters('the_content',$rightlist['qcld_text_desc']);
						
					?>
				</span>		

				<?php if(!empty($rightlist['qcld_text_long_desc']!='')){ ?>
				</a>							
				<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($rightlist['qcld_text_title']); ?>" style="display:none;">	
				<span class="ilist-fancybox-content" >	
				<?php echo apply_filters('the_content',$rightlist['qcld_text_long_desc']); ?>
				</span>
				</span>
				<?php 	} ?>					
			<?php
				}
			?>			
			</div>
		</div>

	<?php 
	$ctn++;
	endforeach; ?>
	</div>
	</div>
				<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	</div>
	</div>
</div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

