<?php 
wp_enqueue_style( 'ilist_prestyle15_stylesheet', OCOPD_TPL_URL1 . "/$template_code/style.css");

wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));

?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>
<?php 

if($column>8){
	$column = 8;
}
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	echo '<style type="text/css">

	.presi15itembgcolor {
		background:'.$ilist_item_bgcolor[0].';
	}
	</style>';	
}
$hoderbg = 'style="overflow:hidden"'; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow:hidden"';
}

$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}
$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	$subtitlecolor = 'style="color:'.$ilist_subtitle_color[0].'"';
}

if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
echo '<style type="text/css">
.prestl15border{
	border-color:'.$ilist_border_color[0].'!important;
}


</style>';
}

$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}

if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.prestl06bghovercolor:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
</style>';
}
if(isset($ilist_hover_title_color[0]) && $ilist_hover_title_color[0]!=''){
echo '<style type="text/css">
.prestl06thovercolor:hover {
	color:'.$ilist_hover_title_color[0].' !important;
}

</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.sl2tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.infog5dfontsize p{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

if(isset($ilist_hover_desc_color[0]) && $ilist_hover_desc_color[0]!=''){
echo '<style type="text/css">
.prestl06dhovercolor:hover {
	color:'.$ilist_hover_desc_color[0].' !important;
}

</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.sl2titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl2titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.sl2descfont p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.sl2descfont p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl2descfont p{font-family:'.$titlefamily.';}</style>';
	}
}
?>

<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_direction";
	}
?>
<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl2titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>
<div id="qcld-list-holder" class="qcld-list-hoder sl2bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>		
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="sl2titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				

			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}


	if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
		$qcld_css_animation_globalsss = 'wow '.$qcld_css_animation_global[0];
	}else{
	$qcld_css_animation_globalsss='';

	}
	?>
	<div class="comparedivelement tlist-holder-x17">
	
			<div class="left-col-x17 center-image">			
					<div class="feature-image">
						<?php
						if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='middle'){
						?>
						<div style="width:100%;margin:0 auto">
							<?php echo do_shortcode($ilist_chart[0]);?>
						</div>
						<?php
						}else{
						?>
							<?php 
							if(isset($ilist_holder_bg_image[0]) and !empty($ilist_holder_bg_image[0])){
								?>
								<img src="<?php echo $ilist_holder_bg_image[0]; ?>" class="<?php echo $qcld_css_animation_globalsss; ?>"> 
								<?php
							}else{
							?>
								<img src="<?php echo OCOPD_TPL_URL1 . "/$template_code/images/divider.png"; ?>" class="<?php echo $qcld_css_animation_globalsss; ?>"> 
							<?php
							}
							?>							
						<?php
						}
						?>

					</div>	
				<!-- text-right end --> 				
			</div>
	<div class="right-col-x17">
	<?php foreach( $lists as $list_sl ) : ?>
	<?php 
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}
	?>
	<?php foreach($list_sl as $list) : ?>
			
			
			<div id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>" class="single-item single-item-x17 wow <?php echo @$list['qcld_css_animation']; ?>">		
				<div class="top-border-x17 prestl15border"></div>
				<div class="left-border-x17 prestl15border"></div>												
				<div class="icon-holder-x17">
					<?php if(isset($list['qcld_text_image'])&&$list['qcld_text_image']!=''){
						echo '<a href="'. (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']) .'" '.(isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"').'><img class="ilist_infographic_05" src="'. $list['qcld_text_image'].'" alt="image-1" /></a>';
					}
					elseif(isset($list['qcld_text_image_fa']) and $list['qcld_text_image_fa']!=''){
							echo '<div class="infogp_free_6"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'" class="fa '.$list['qcld_text_image_fa'].'"></i></div>';
					}else{
						echo '<div class="infogp_free_6"><i style="color:'.(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])?$ilist_title_color[0]:'#6e6969').'" class="fa fa-check"></i></div>';
					}
					?>				
				</div>	
							
					<div class="content-box-x17 prestl06bghovercolor presi15itembgcolor" style="padding:10px;<?php echo ($list['qcld_entrybg_color']!=''?'background:'.$list['qcld_entrybg_color']:''); ?>">
					
							<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
						<?php 
							if(!empty($list['qcld_text_title'])){
						?>
							<h2 <?php echo $titlecolor; ?> class="item-title-x3 sl2titlefont sl2tfontsize prestl06thovercolor">
								<?php 
									
									echo ($list['qcld_text_title']);
								?>
							
							<?php if( $upvote == 'on' ) : ?>

							<!-- upvote section -->
							<div class="upvote-section" style="cursor:pointer;display: inline-block;margin-left: 10px;">
								<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo (trim($list['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
									<i class="fa fa-thumbs-up"></i>
								</span>
								<span class="upvote-count-ilist">
									<?php 
									  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
										echo (int)$list['sl_thumbs_up'];
									  }
									?>
								</span>
							</div>
							<!-- /upvote section -->
                            
                            
                            
                            
                            
                            
                            
   <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->                              
                            
                            
                            
                            
                            
                            
                            
                            

							<?php endif; ?>
							</h2>				
						<?php
							}
						?>										
							
							<?php 
								if(!empty($list['qcld_text_desc'])){
							?>
							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
							<?php 	} ?>
								<span <?php echo $subtitlecolor; ?> class="sl2descfont infog5dfontsize prestl06dhovercolor item-subtitle-x3">
									<?php 
										echo apply_filters('the_content',$list['qcld_text_desc']);
										
									?>
								</span>		

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							</a>							
							<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
							<span class="ilist-fancybox-content">	
							<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
							</span>
							</span>
							<?php 	} ?>					
							<?php
								}
							?>									
														
					</div>			

			</div>				

		<?php $cnt++; ?>
		<?php endforeach; ?>
		<?php endforeach; ?>
	</div>
	</div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_global = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_global='';

				}
			
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_global.'">';
				

			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	</div>
	</div>
</div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

