jQuery(document).ready(function($) {

	if($(".qcld-drag-drop-center-wrapper").hasClass("qcld-drag-drop-active-theme")){

	}else{
		$(".qcld-drag-drop-center-wrapper").removeClass("qcld-drag-drop-active-theme");
		$(".qcld-drag-drop-center-wrapper:first").addClass("qcld-drag-drop-active-theme");
	}

	$('.qcld-drag-drop-container_wrap .meta-box-sortables').removeClass('meta-box-sortables');

	setTimeout(function(){ 
		var text = "";
		var i, n=100;
		for (i = 1; i <= n; i++) {
		  text += "<option value="+i+">"+i+"</option>";
		}
		document.getElementById("qcld_drag_drop_change_font_size").innerHTML = text;

	}, 300);

	function qcld_drag_drop_toggleSidebar() {
		$(".qcld-drag-drop-button-style").toggleClass("qcld-drag-drop-active");
		$(".qcld-drag-drop-container_wrap").toggleClass("qcld-drag-drop-move-to-left");
		$(".qcld-drag-drop-sidebar").toggleClass("qcld-drag-drop-active");
		$(".qcld-drag-drop-sidebar-item").toggleClass("qcld-drag-drop-active");
	}

	$(".qcld-drag-drop-button-style").on("click tap", function(e) {
		e.preventDefault();
		qcld_drag_drop_toggleSidebar();
	});

	$(".qcld-drag-drop-sidebar-item").on("click", function(e) {
		e.preventDefault();
		$(".qcld-drag-drop-sidebar-item").removeClass("qcld-drag-drop-active_item");
		$(this).addClass("qcld-drag-drop-active_item");
		var text_header = $(this).text();

		$('.qcld-drag-drop-sidebar-header').text(text_header);

		if( $( '.qcld-drag-drop-sidebar-content' ).hasClass( "qcld-drag-drop-active" )){

		}else{

			$('.qcld-drag-drop-sidebar-content').addClass("qcld-drag-drop-active");
		}
	}); 

	$(".qcld-drag-drop-sidebar-content-close").on("click", function(e) {
		e.preventDefault();
		
		if( $( '.qcld-drag-drop-sidebar-content' ).hasClass( "qcld-drag-drop-active" )){

			$('.qcld-drag-drop-sidebar-content').removeClass("qcld-drag-drop-active");

		}else{

			$('.qcld-drag-drop-sidebar-content').addClass("qcld-drag-drop-active");

		}

		if( $( '.qcld-drag-drop-sidebar-item' ).hasClass( "qcld-drag-drop-active_item" )){

			$('.qcld-drag-drop-sidebar-item').removeClass("qcld-drag-drop-active_item");

		}

	});


	$('ul li.qcld-drag-drop-sidebar-item').click(function(e){
		e.preventDefault();
		var tab_id = $(this).attr('data-tab');

		$('ul li.qcld-drag-drop-sidebar-item').removeClass('qcld-drag-drop-current');
		$('.qcld-drag-drop-sidebar-content-wrapper').removeClass('qcld-drag-drop-current');

		$(this).addClass('qcld-drag-drop-current');
		$("#"+tab_id).addClass('qcld-drag-drop-current');
	})

	$('.qcld_drag_drop_custom_css_add').each(function(){
		$(this).draggable();
		$(this).data("height", $(this).outerHeight());
    	$(this).data("width", $(this).outerWidth());
	})



	// Storing initial children CSS
	$('.qcld_drag_drop_custom_css_add *').each(function(){
	    $(this).data("height", $(this).outerHeight());
	    $(this).data("width", $(this).outerWidth());
	    $(this).data("fontSize", parseInt($(this).css("font-size")));
	    $(this).data("lineHeight", parseInt($(this).css("font-size")));
	});

	
	jQuery(document).on('click', '.qcld_drag_drop_custom_css_add', function(e){
		e.preventDefault();
		$(this).draggable( {disabled: false});
		$(this).prop("contenteditable", false);
		// $(this).resizable();
		$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
		$(this).addClass('qcld-drag-drop-resizable-active');
		$(this).resizable({ 
			handles: "se, sw, nw, ne", 
			resize: function (e, ui) {
		        var wr = $(this).outerWidth()/$(this).data("width");
		        var hr = $(this).outerHeight()/$(this).data("height");

		        $(this).find("*").each(function (i, elm) {
		            var w = $(elm).data("width") * wr;
		            var h = $(elm).data("height") * hr;
		            // Adjusting font size according to smallest ratio
		            var f = $(elm).data("fontSize") * ((hr > wr) ? wr : hr);
		            var lH = $(elm).data("lineHeight") * ((hr > wr) ? wr : hr);
		            $(elm).css({
		                "width": w,
		                "height": h,
		                "font-size": f,
		                "line-height": lH+ 'px'
		            });
		        });
		    },
		});

		var handles = $(this).resizable("option", "handles");
	    $(this).resizable("option", "handles", "se, sw, nw, ne");

	    $(this).find("div.ui-resizable-se").removeClass("ui-icon");
	    $(this).find("div.ui-resizable-se").removeClass("ui-icon-gripsmall-diagonal-se");

		$(this).find('img').css({"width": "100%", "height": "100%"});

		$('.qcld_drag_drop_remove_wrap').remove();

		$(this).append('<div class="qcld_drag_drop_remove_wrap"><i class="fas fa-trash-alt"></i></div>');

	})

	
	jQuery(document).on('click', '.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active', function(e){
		e.preventDefault();
		$(this).draggable( {disabled: false});
		$(this).prop("contenteditable", false);
		// $(this).resizable();
		$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
		$(this).addClass('qcld-drag-drop-resizable-active');
		$(this).resizable({ 
			handles: "se, sw, nw, ne", 
			resize: function (e, ui) {
		        var wr = $(this).outerWidth()/$(this).data("width");
		        var hr = $(this).outerHeight()/$(this).data("height");

		        $(this).find("*").each(function (i, elm) {
		            var w = $(elm).data("width") * wr;
		            var h = $(elm).data("height") * hr;
		            // Adjusting font size according to smallest ratio
		            var f = $(elm).data("fontSize") * ((hr > wr) ? wr : hr);
		            var lH = $(elm).data("lineHeight") * ((hr > wr) ? wr : hr);
		            $(elm).css({
		                "width": w,
		                "height": h,
		                "font-size": f,
		                "line-height": lH+ 'px'
		            });
		        });
		    },
		});

		var handles = $(this).resizable("option", "handles");
	    $(this).resizable("option", "handles", "se, sw, nw, ne");

	    $(this).find("div.ui-resizable-se").removeClass("ui-icon");
	    $(this).find("div.ui-resizable-se").removeClass("ui-icon-gripsmall-diagonal-se");

		$(this).find('img').css({"width": "100%", "height": "100%"});

		$('.qcld_drag_drop_remove_wrap').remove();

		$(this).append('<div class="qcld_drag_drop_remove_wrap"><i class="fas fa-trash-alt"></i></div>');

	})

	jQuery(document).on('dblclick', '.qcld_drag_drop_custom_css_add', function(e){
		e.preventDefault();
		$(this).draggable( {disabled: true});
		$(this).prop("contenteditable", true).focus();
	})

	
	$(document).on('click', 'li.qcld-drag-drop-template_added', function (e) {
		e.preventDefault();
		var theme_name = $(this).attr('data-attr');

		var theme_changed_wrap = $(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content");

		if(theme_name == 'template-1'){

		var template = '<div class="qcld-drag-drop-template-box template-one" style="width: 100%;padding: 5%;display: block; height: 100%;">'
				   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 60px; width: 380px; right: auto; height: 260px; bottom: auto; left: 8px; top: 51px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " style="width: 380px; height: 260px; font-size: 60px; line-height: 60px;"> Your Company Name</div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="text-align: center;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text "> Write an intriguing summary of what your company does. </div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="left: 160px; top: 386px;">'
					   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/1.png" class="qcld-drag-drop-draggable">'
				   +'</div>'
			   +'</div>';


		}else if(theme_name == 'template-2'){

		var template = '<div class="qcld-drag-drop-template-box template-two" style="width: 100%; height: 100%; padding: 5%; display: block; background: url(http://devel9/ilist-pro/wp-content/plugins/iList-pro//assets/assets/images/bg-10.jpg) 0% 0% / cover no-repeat gray;">'
				   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 40px; color: white; width: 296px; right: auto; height: 106px; bottom: auto; left: 55.7969px; top: 93.7969px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text ">The Utopia</div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="color: white; width: 357px; right: auto; height: 24px; bottom: auto; left: 19.7969px; top: 37.7969px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text"> Write an intriguing summary of what your company does. </div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="width: 270px; height: 163px; right: auto; bottom: auto; left: 61.7969px; top: 275.797px;">'
					   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/screen-font.jpg"  class="qcld-drag-drop-draggable">'
				   +'</div>'
			   +'</div>';
			
		}else if(theme_name == 'template-3'){

		var template = '<div class="qcld-drag-drop-template-box template-three" style="width: 100%;height:100%;padding: 5%;display: block;background: #f5f5f5;">'
				   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(252, 108, 58); text-align: center; width: 357px; right: auto; height: 24px; bottom: auto; left: 19.7969px; top: 23.7969px;"> <div class="qcld-drag-drop-draggable qcld-drag-drop-text " > Write an intriguing summary of what your company does. </div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 60px; color: rgb(252, 108, 58); font-family: sans-serif; width: 314px; right: auto; height: 89px; bottom: auto; left: 38.7969px; top: 67.7969px;"> <div class="qcld-drag-drop-draggable qcld-drag-drop-text ">The Utopia</div></div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(204, 204, 204); text-align: center; width: 326px; right: auto; height: 44px; bottom: auto; left: 25.7969px; top: 177.797px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " > Take a peek at the future of fashion from BSFs own.</div></div>'
				   +'<div  class="qcld_drag_drop_custom_css_add" style="width: 294px; height: 178px; right: auto; bottom: auto; left: 45.7969px; top: 368.797px;">'
					   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/screen-font.jpg" class="qcld-drag-drop-draggable">'
				   +'</div>'
				   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(252, 108, 58); text-align: center; width: 284px; right: auto; height: 44px; bottom: auto; left: 53.7969px; top: 235.797px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " > November 28, 2020 7:00 PM BSF Auditorium</div></div>'
			   +'</div>';

		}


		$(theme_changed_wrap).html(template);
		$(theme_changed_wrap).find('img').css({"width": "100%", "height": "100%"});

		$('.qcld_drag_drop_custom_css_add').each(function(){
			$(this).draggable();
			$(this).data("height", $(this).outerHeight());
    		$(this).data("width", $(this).outerWidth());
		})
		$('.qcld_drag_drop_custom_css_add *').each(function(){
		    $(this).data("height", $(this).outerHeight());
		    $(this).data("width", $(this).outerWidth());
		    $(this).data("fontSize", parseInt($(this).css("font-size")));
		    $(this).data("lineHeight", parseInt($(this).css("font-size")));
		});

		
		
	});
	
	
	$(document).on('click', '.qcld-drag-drop-photo_added', function (e) {
		e.preventDefault();
		$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
		$('.qcld-drag-drop-draggable.qcld-drag-drop-text').removeClass(' qcld-drag-drop-active');
		$('.qcld-drag-drop-draggable.qcld-drag-drop-draggable').removeClass(' qcld-drag-drop-active');

		var img = $(this).clone();
		img.find('img').addClass('qcld-drag-drop-draggable qcld-drag-drop-active');
		img.css({"position": "relative","left": "-21px", "top": "81px"});
		img.find('img').css({"width": "100%", "height": "100%"});
		
		template = img.html();
		$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").append("<div class='qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active'>"+template+ '</div>');
		
		$('.qcld_drag_drop_custom_css_add').each(function(){
			$(this).draggable();
		})

		$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').trigger( "click" );
		
		
	});
	
	$(document).on('click', 'li.qcld-drag-drop-text_added', function (e) {
		e.preventDefault();
		$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
		$('.qcld-drag-drop-draggable.qcld-drag-drop-text').removeClass('qcld-drag-drop-active');
		$('.qcld-drag-drop-draggable.qcld-drag-drop-draggable').removeClass(' qcld-drag-drop-active');
		var text_item = $(this).attr('data-attr');

		if(text_item == 'text-1'){
			template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="text-align: center;font-size: 30px;font-weight: 400;letter-spacing: 5px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Write an intriguing summary of what your company does.</div></div>';
		}else if(text_item == 'text-2'){

			template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-weight: bold; text-align: center; font-size: 60px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Your Company Name</div></div>';
		}else if(text_item == 'text-3'){

			template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-weight: bold; text-align: center; font-size: 25px; line-hight:25px; color: #847674;font-family: Corben;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">We offer a variety of services to make your pool more enjoyable.</div></div>';

		}else{
			template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-size: 25px; letter-spacing: 5px; width: 338px; right: auto; height: 143px; bottom: auto; left: 33.7969px; top: 442.797px; text-align: center;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Write an intriguing summary of what your company does.</div></div>';
		}


		$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").append(template);
		$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').each(function(){
			$(this).draggable();
			$(this).data("height", $(this).outerHeight());
    		$(this).data("width", $(this).outerWidth());
		})
		$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active *').each(function(){
		    $(this).data("height", $(this).outerHeight());
		    $(this).data("width", $(this).outerWidth());
		    $(this).data("fontSize", parseInt($(this).css("font-size")));
		    $(this).data("lineHeight", parseInt($(this).css("font-size")));
		});

		$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').trigger( "click" );
		
	});
	
	$(document).on('click', 'li.qcld-drag-drop-background_added', function (e) {
		e.preventDefault();
		background_img = $(this).find('img').attr('src');

		$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").css({"background-image": "url("+background_img+")", "background-size": "cover", "background-repeat": "no-repeat" });
		
	});
	
	
	$(document).on('click keydown', '.qcld-drag-drop-draggable', function (e) {
		e.preventDefault();

		$('.qcld-drag-drop-draggable').removeClass('qcld-drag-drop-active');
		$(this).addClass('qcld-drag-drop-active');
		$('.resizer-right').remove();
		$('.resizer-bottom').remove();
		$('.resizer-both').remove();

	});
	
	$(document).on('change', '#qcld_drag_drop_change_font_size', function (e) {
		e.preventDefault();
		var font_size = parseInt($(this).val());
		var wrap_main = $('.qcld-drag-drop-draggable.qcld-drag-drop-active');
		var wrap = wrap_main.closest('.qcld_drag_drop_custom_css_add');
		$( wrap ).css( { "font-size" : font_size,  "line-hight" : font_size} );
		$( wrap_main ).css( { "font-size" : font_size,  "line-hight" : font_size } );
		
	});

	$(document).on('change', '#qcld_drag_drop_change_text_align', function (e) {
		e.preventDefault();

		var text_align = $(this).val();
		var wrap = $('.qcld-drag-drop-draggable.qcld-drag-drop-active').closest('.qcld_drag_drop_custom_css_add');
		$( wrap ).css( { "text-align" : text_align } );
		
	});

	$(document).on('change', '#qcld_drag_drop_change_font_color', function (e) {
		e.preventDefault();

		var font_color = $(this).val();
		var wrap = $('.qcld-drag-drop-draggable.qcld-drag-drop-active').closest('.qcld_drag_drop_custom_css_add');
		$( wrap ).css( { "color" : font_color } );
		
	});

	$(document).on('click', 'body', function (e) {
	 
		if($('.qcld-drag-drop-draggable.qcld-drag-drop-text').hasClass("qcld-drag-drop-active")){
		   $('.qcld-drag-drop-header_wrap_menu').slideDown();
		   var dom_select = $('.qcld-drag-drop-draggable.qcld-drag-drop-active').closest('.qcld_drag_drop_custom_css_add');
		   var currentSize = parseFloat(jQuery(dom_select).css('font-size'));
		   var currentcolor = parseFloat(jQuery(dom_select).css('color'));
		   $('#qcld_drag_drop_change_font_size').find('option[value="'+currentSize+'"]').attr("selected",true);
		}else{
		   $('.qcld-drag-drop-header_wrap_menu').slideUp();
		}
	 
	});

	$(document).on('click', '.qcld-drag-drop-card-content', function (e) {
		e.preventDefault();

		$('.qcld-drag-drop-center-wrapper').removeClass('qcld-drag-drop-active-theme');
		$(this).closest('.qcld-drag-drop-center-wrapper').addClass('qcld-drag-drop-active-theme');
	 
	});

	$('.qcld-drag-drop-color-field').wpColorPicker({
		change: function(event, ui){
			var theColor = ui.color.toString();
			var wrap = $('.qcld-drag-drop-draggable.qcld-drag-drop-active').closest('.qcld_drag_drop_custom_css_add');
			$( wrap ).css( { "color" : theColor } );
		} 

	});
	$('.qcld_drag_drop_change_bg_color').wpColorPicker({
		change: function(event, ui){
			var theColor = ui.color.toString();
			var wrap = $(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").css({"background": "","background-color": "","background-image": "", "background-size": "", "background-repeat": "" });
			$( wrap ).css( { "background" : theColor } );
		} 

	});


	$(document).on('click', '.qcld_drag_drop_remove_wrap', function (e) {
		e.preventDefault();
	  	$(this).closest('.qcld_drag_drop_custom_css_add').remove();
	 
	});

	//  remove wrapper event working
	$(document).on('click', '.qcld_drag_drop_add_link_save', function (e) {
		e.preventDefault();
		var wrap = $('.qcld-drag-drop-draggable.qcld-drag-drop-active');
	    var anchor = $('.qcld_drag_drop_add_link').val();
	    if(anchor == ''){
	    	return;
	    }
		$('.qcld_drag_drop_add_link_wrap .qcld_loading_wrap').addClass('qcld-loading');
	    if ( wrap.parent().is( "a" ) ) {
	      wrap.unwrap();
	      $(wrap).wrap('<a href="' + anchor + '"></a>');
	    }else{
	      $(wrap).wrap('<a href="' + anchor + '"></a>');
	    }

	    setTimeout(function(){ 
			$('.qcld_drag_drop_add_link_wrap .qcld_loading_wrap').removeClass('qcld-loading');

		}, 1000);
	 
	});

	//  remove wrapper event working
	$(document).on('click', '.qcld-drag-drop-wrapper-remove', function (e) {
		e.preventDefault();

		var check_wrap = $('.qcld-drag-drop-center-wrapper');

		if(check_wrap.length > 1){
			var remove_wrap = $(this).closest('.qcld-drag-drop-center-wrapper');

			$(remove_wrap).slideUp("slow", function() { $(remove_wrap).remove();});

			$(".qcld-drag-drop-center-wrapper:first").addClass("qcld-drag-drop-active-theme");
		}
	 
	});

	//  copy Previous wrapper event working
	$(document).on('click', '.qcld-drag-drop-wrapper-copy', function (e) {
		e.preventDefault();

		$('.qcld-drag-drop-center-wrapper').removeClass('qcld-drag-drop-active-theme');
		var check_wrap = $(this).closest('.qcld-drag-drop-center-wrapper');

		$(check_wrap).clone().addClass('qcld-drag-drop-active-theme').insertAfter(check_wrap);

		var scrollTop = $(check_wrap).height() + $(check_wrap).height();
		$(document).animate({scrollTop: scrollTop}, 600);

	 
	});

	//  add new wrapper event working
	$(document).on('click', '.qcld-drag-drop-wrapper-add', function (e) {
		e.preventDefault();

		$('.qcld-drag-drop-center-wrapper').removeClass('qcld-drag-drop-active-theme');
		var check_wrap = $(this).closest('.qcld-drag-drop-center-wrapper');

		$(check_wrap).clone().addClass('qcld-drag-drop-active-theme').find(".qcld-drag-drop-template-box").css({"background": "","background-color": "","background-image": "", "background-size": "", "background-repeat": "" }).closest('.qcld-drag-drop-center-wrapper').find(".qcld-drag-drop-template-box div").remove().end().insertAfter(check_wrap);

		var scrollTop = $(check_wrap).offset().top + $(check_wrap).height()  - 120;
		$('html,body').animate({scrollTop: scrollTop}, 600);
	 
	});

	// wrapper up sorting event working
	$(document).on('click', '.qcld-drag-drop-wrapper-up', function (e) {
		e.preventDefault();
		var current = $(this).closest('.qcld-drag-drop-center-wrapper');
		current.prev().before(current);

		var scrollTop = $(current).offset().top - 120;
		$('html,body').animate({scrollTop: scrollTop}, 600);
	});

	// wrapper down sorting event working
	$(document).on('click', '.qcld-drag-drop-wrapper-down', function (e) {
		e.preventDefault();
		var current = $(this).closest('.qcld-drag-drop-center-wrapper');
		current.next().after(current);

		var scrollTop = $(current).offset().top - 120;
		$('html,body').animate({scrollTop: scrollTop}, 600);
	});

	//$('#font').fontselect();

	$('#font').fontselect().change(function(){
        
      var font = $(this).val().replace(/\+/g, ' ');
      
      font = font.split(':');
      
      $('.qcld-drag-drop-draggable.qcld-drag-drop-active').css('font-family', font[0]);
    });


	// flash image  search
     $(document).on('keyup', '.qcld-drag-drop-sidebar-search-img input[type="text"]', function (e) {
        e.preventDefault();

        var content_warppers = $(this);

        content_warppers.closest('.qcld-drag-drop-sidebar-search-img').addClass('qcld-loading');

        result_text = $(this).val();

        if (result_text.length < 2) {
            content_warppers.closest('.qcld-drag-drop-sidebar-search-img').removeClass('qcld-loading');
            return;
        }

        $('.qcld-drag-drop-tab-unflash').empty();

		// Get an API key for your demos at https://unsplash.com/developers
		//var unsplashID = 'DNrIoMwQi2X1OGHMdsXHh5OdTd4NENn4pRBcvfe7x0E';
		var unsplashID = qcld_ilist_drag_ajax.sl_unsplash_api_key;

		var $container = $( '.qcld-drag-drop-tab-unflash').infiniteScroll({
		  path: function() {
		    return 'https://api.unsplash.com/search/photos?client_id='
		      + unsplashID + '&page=' + this.pageIndex + '&query=' + result_text;
		  },
		  // load response as flat text
		  responseType: 'text',
		  status: '.scroll-status',
		  history: false,
		});

		$container.on( 'load.infiniteScroll', function( event, response ) {
		  // parse response into JSON data
		  var data = JSON.parse( response );
		  // compile data into HTML
		  var itemsHTML = data.map( getItemHTML ).join('');
		  // convert HTML string into elements
		  var $items =  $( itemsHTML );
		  // append item elements
		  $container.infiniteScroll( 'appendItems', $items );

		  	$('.qcld-drag-drop-photo_added img').each(function(index) {
			    $(this).draggable(dragOpts);
			});

		});

		// load initial page
		$container.infiniteScroll('loadNextPage');

		var itemTemplateSrc = $('#photo-item-template').html();

		function getItemHTML( photo ) {
		  return microTemplate( itemTemplateSrc, photo );
		}

		// micro templating, sort-of
		function microTemplate( src, data ) {
		  // replace {{tags}} in source
		  return src.replace( /\{\{([\w\-_\.]+)\}\}/gi, function( match, key ) {
		    // walk through objects to get value
		    var value = data;
		    key.split('.').forEach( function( part ) {
		      value = value[ part ];
		    });
		    return value;
		  });
		}


        setTimeout(function(){ 
        	content_warppers.closest('.qcld-drag-drop-sidebar-search-img').removeClass('qcld-loading');
	  	}, 3000);
	    return;


    });


	// Get an API key for your demos at https://unsplash.com/developers
	//var unsplashID = 'DNrIoMwQi2X1OGHMdsXHh5OdTd4NENn4pRBcvfe7x0E';
	var unsplashID = qcld_ilist_drag_ajax.sl_unsplash_api_key;

	var $container = $( '.qcld-drag-drop-tab-unflash').infiniteScroll({
	  path: function() {
	    return 'https://api.unsplash.com/photos?client_id='
	      + unsplashID + '&page=' + this.pageIndex;
	  },
	  // load response as flat text
	  responseType: 'text',
	  status: '.scroll-status',
	  history: false,
	});

	$container.on( 'load.infiniteScroll', function( event, response ) {
	  // parse response into JSON data
	  var data = JSON.parse( response );
	  // compile data into HTML
	  var itemsHTML = data.map( getItemHTML ).join('');
	  // convert HTML string into elements
	  var $items =  $( itemsHTML );
	  // append item elements
	  $container.infiniteScroll( 'appendItems', $items );

		$('.qcld-drag-drop-photo_added img').each(function(index) {
		    $(this).draggable(dragOpts);
		});

	});

	// load initial page
	$container.infiniteScroll('loadNextPage');

	//$container.loadNextPage();

	var itemTemplateSrc = $('#photo-item-template').html();

	function getItemHTML( photo ) {
	  return microTemplate( itemTemplateSrc, photo );
	}

	// micro templating, sort-of
	function microTemplate( src, data ) {
	  // replace {{tags}} in source
	  return src.replace( /\{\{([\w\-_\.]+)\}\}/gi, function( match, key ) {
	    // walk through objects to get value
	    var value = data;
	    key.split('.').forEach( function( part ) {
	      value = value[ part ];
	    });
	    return value;
	  });
	}






	//Code for AJAX request and appending images
	//Variables for URL generation
	var custom = 'stickers';
	//var custom = 'emoji-stickers'
	//var custom = 'artists'
	var imagecount = 24;
	var offset = 0;
	var queryURL = 'https://api.giphy.com/v1/stickers/search?q='+custom+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount+'&offset='+offset+''

	// https://api.giphy.com/v1/stickers/search?q=cats&api_key=SUdgEn6zFJcpk0vs5CbTNV5c4XY9YCx5&q=&limit=25&offset=0

	//Used to store the returned object from Giphy
	var object;

	//Code for AJAX request and appending images
	function getgifs(){
	$('#qcld-drag-drop-gifs').empty();
	offset = 0;
	var queryURL = 'https://api.giphy.com/v1/stickers/search?q='+custom+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount+'&offset='+offset+''
	$.ajax({
	        url: queryURL,
	        method: "GET"
	    }).done(function(response) {
	        //console.log(response);
	        object = response;
	        //If no results, show no result screen
	        if(response.data.length<1){
	            reset();
	            gifbackground = true;
	            $('#songplayer2').get(0).play();
	           // $('body').css('background-image', 'url(images/marisaspin.gif)').css('background-color', 'pink');
	            swoosh.pause();
	            stopsound();
	            fail.play();
	            $('#qcld-drag-drop-gifs').empty();
	            $('#qcld-drag-drop-gifs').append('<div id="noresults">NO RESULTS...</div>');
	            $('#qcld-drag-drop-gifs').append('<div id="noresults">TRY SOMETHING ELSE!</div></div>');     
	            $('.animatethis').addClass("animated rubberBand infinite");
	        }
	        //Append gifs to page
	        else {
	            //Appends gifs to proper #gif div
	            for (var i = 0; i < response.data.length; i++) {
	                var mystring = response.data[i].title;
	                var newstring = mystring.replace(/\s/g, "").length;
	                if(newstring>0){
	                    var temptitle = response.data[i].title
	                }
	                else {
	                    var temptitle = 'No Title'
	                }
	                $('#qcld-drag-drop-gifs').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" numvalue="'+i+'" src="'+response.data[i].images.downsized.url+'" data-original="'+response.data[i].images.downsized.url+'" data-still="'+response.data[i].images.downsized_still.url+'"></div>');
		            
		            $('.qcld-drag-drop-photo_added img').each(function(index) {
					    $(this).draggable(dragOpts);
					});
	            }
	        }
	        //End Append gifs to page
	    });
	}
	//End AJAX and gif append

	//Infinite Scrolling
	function getgifspagination(){
	offset += imagecount;
	var queryURL = 'https://api.giphy.com/v1/stickers/search?q='+custom+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount+'&offset='+offset+''
	$.ajax({
	        url: queryURL,
	        method: "GET"
	    }).done(function(response) {
	        //console.log(response);
	        object = response;
	        //If no results, don't append anything
	        if(response.data.length<1){
	            return;
	        }
	        //Append gifs to page
	        else {
	     
	            //Appends gifs to proper #gif div
	            for (var i = offset; i<offset+response.data.length; i++) {
	                var mystring = response.data[i-offset].title;
	                var newstring = mystring.replace(/\s/g, "").length;
	                if(newstring>0){
	                    var temptitle = response.data[i-offset].title
	                }
	                else {
	                    var temptitle = 'No Title'
	                }
	                $('#qcld-drag-drop-gifs').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" numvalue="'+i+'" src="'+response.data[i-offset].images.downsized.url+'" data-original="'+response.data[i-offset].images.downsized.url+'" data-still="'+response.data[i-offset].images.downsized_still.url+'"></div>');
	            	            
		            $('.qcld-drag-drop-photo_added img').each(function(index) {
					    $(this).draggable(dragOpts);
					});

	            }
	        }
	        //End Append gifs to page
	    });
	}
	//end infinite scrolling

	getgifs();



	//boolean for stopping the page from doing multiple paginations at once
	var paginate = true;

	var paginatetoggle = function(){
	    paginate=true;
	}

	//infinite scroll flag based on scroll location
	//$(window).scroll(function () {
	$("#qcld-drag-drop-gifs").scroll(function () {
	   // if ($(window).scrollTop() >= $(document).height() - $(window).height() - 1500) {
	        if(paginate){
	            paginate=false;
	            // console.log('pagination');
	            getgifspagination();
	            setTimeout(paginatetoggle, 1000);
	        }
	        else{
	            // console.log('only one pagination plze');
	            return;
	        }
	   // }
	});
	//end infinite scroll flag


    $(document).on('keyup', '.qcld-drag-drop-sidebar-search-img-gifs input[type="text"]', function (e) {
        e.preventDefault();

        var content_warppers = $(this);

        content_warppers.closest('.qcld-drag-drop-sidebar-search-img-gifs').addClass('qcld-loading');

        s = $(this).val();

        if (s.length < 2) {
            content_warppers.closest('.qcld-drag-drop-sidebar-search-img-gifs').removeClass('qcld-loading');
            return;
        }


        $('#qcld-drag-drop-gifs').empty();
		offset = 0;
		var queryURL = 'https://api.giphy.com/v1/stickers/search?q='+s+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount+'&offset='+offset+''
		$.ajax({
		        url: queryURL,
		        method: "GET"
		    }).done(function(response) {
		        //console.log(response);
		        object = response;
		        $('#qcld-drag-drop-gifs').empty();
		        //If no results, show no result screen
		        if(response.data.length<1){

		            $('#qcld-drag-drop-gifs').append('<div id="noresults">NO RESULTS...</div>');
		            $('#qcld-drag-drop-gifs').append('<div id="noresults">TRY SOMETHING ELSE!</div></div>');     
		        } else {
		            //Appends gifs to proper #gif div
		            for (var i = 0; i < response.data.length; i++) {
		                var mystring = response.data[i].title;
		                var newstring = mystring.replace(/\s/g, "").length;
		                if(newstring>0){
		                    var temptitle = response.data[i].title
		                }
		                else {
		                    var temptitle = 'No Title'
		                }
		                $('#qcld-drag-drop-gifs').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" src="'+response.data[i].images.downsized.url+'"></div>');
		           
	            
			            $('.qcld-drag-drop-photo_added img').each(function(index) {
						    $(this).draggable(dragOpts);
						});
					 
		            }
		        }
		        //End Append gifs to page
		    });



      	setTimeout(function(){ 
	 		content_warppers.closest('.qcld-drag-drop-sidebar-search-img-gifs').removeClass('qcld-loading');
	  	}, 3000);
	    return;


    });







	//Code for AJAX request and appending images
	//Variables for URL generation
	var custom_gifs = 'artists'
	//var custom = 'emoji-gifs'
	//var custom = 'artists'
	var imagecount_gifs = 24;
	var offset_gifs = 0;
	var queryURL = 'https://api.giphy.com/v1/gifs/search?q='+custom_gifs+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount_gifs+'&offset='+offset_gifs+''


	//Used to store the returned object from Giphy
	var object_gifs;

	//Code for AJAX request and appending images
	function getgifs_gifs(){
	$('#qcld-drag-drop-media').empty();
	offset_gifs = 0;
	var queryURL = 'https://api.giphy.com/v1/gifs/search?q='+custom_gifs+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount_gifs+'&offset='+offset_gifs+''
	$.ajax({
	        url: queryURL,
	        method: "GET"
	    }).done(function(response) {
	        //console.log(response);
	        object_gifs = response;
	        //If no results, show no result screen
	        if(response.data.length<1){
	            reset();

	            $('#qcld-drag-drop-media').empty();
	            $('#qcld-drag-drop-media').append('<div id="noresults">NO RESULTS...</div>');
	            $('#qcld-drag-drop-media').append('<div id="noresults">TRY SOMETHING ELSE!</div></div>');  
	        }
	        //Append gifs to page
	        else {
	            //Appends gifs to proper #gif div
	            for (var i = 0; i < response.data.length; i++) {
	                var mystring = response.data[i].title;
	                var newstring = mystring.replace(/\s/g, "").length;
	                if(newstring>0){
	                    var temptitle = response.data[i].title
	                }
	                else {
	                    var temptitle = 'No Title'
	                }
	                $('#qcld-drag-drop-media').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" numvalue="'+i+'" src="'+response.data[i].images.downsized.url+'" data-original="'+response.data[i].images.downsized.url+'" data-still="'+response.data[i].images.downsized_still.url+'"></div>');

	           	            
		            $('.qcld-drag-drop-photo_added img').each(function(index) {
					    $(this).draggable(dragOpts);
					});

	            }
	        }
	        //End Append gifs to page
	    });
	}
	//End AJAX and gif append

	//Infinite Scrolling
	function getgifs_gifspagination_gifs(){
	offset_gifs += imagecount_gifs;
	var queryURL = 'https://api.giphy.com/v1/gifs/search?q='+custom_gifs+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount_gifs+'&offset='+offset_gifs+''
	$.ajax({
	        url: queryURL,
	        method: "GET"
	    }).done(function(response) {
	        //console.log(response);
	        object_gifs = response;
	        //If no results, don't append anything
	        if(response.data.length<1){
	            return;
	        }
	        //Append gifs to page
	        else {
	     
	            //Appends gifs to proper #gif div
	            for (var i = offset_gifs; i<offset_gifs+response.data.length; i++) {
	                var mystring = response.data[i-offset_gifs].title;
	                var newstring = mystring.replace(/\s/g, "").length;
	                if(newstring>0){
	                    var temptitle = response.data[i-offset_gifs].title
	                }
	                else {
	                    var temptitle = 'No Title'
	                }
	                $('#qcld-drag-drop-media').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" numvalue="'+i+'" src="'+response.data[i-offset_gifs].images.downsized.url+'" data-original="'+response.data[i-offset_gifs].images.downsized.url+'" data-still="'+response.data[i-offset_gifs].images.downsized_still.url+'"></div>');
	            	            
		            $('.qcld-drag-drop-photo_added img').each(function(index) {
					    $(this).draggable(dragOpts);
					});

	            }
	        }
	        //End Append gifs to page
	    });
	}
	//end infinite scrolling

	getgifs_gifs();



	//boolean for stopping the page from doing multiple paginations at once
	var paginate_gifs = true;

	var paginate_gifstoggle = function(){
	    paginate_gifs=true;
	}

	//infinite scroll flag based on scroll location
	//$(window).scroll(function () {
	$("#qcld-drag-drop-media").scroll(function () {
	   // if ($(window).scrollTop() >= $(document).height() - $(window).height() - 1500) {
	        if(paginate_gifs){
	            paginate_gifs=false;
	            // console.log('pagination');
	            getgifs_gifspagination_gifs();
	            setTimeout(paginate_gifstoggle, 1000);
	        }
	        else{
	            // console.log('only one pagination plze');
	            return false;
	        }
	   // }
	});
	//end infinite scroll flag


    $(document).on('keyup', '.qcld-drag-drop-sidebar-search-img-media input[type="text"]', function (e) {
        e.preventDefault();

        var content_warppers = $(this);

        content_warppers.closest('.qcld-drag-drop-sidebar-search-img-media').addClass('qcld-loading');

        s = $(this).val();

        if (s.length < 2) {
            content_warppers.closest('.qcld-drag-drop-sidebar-search-img-media').removeClass('qcld-loading');
            return;
        }


        $('#qcld-drag-drop-media').empty();
		offset_gifs = 0;
		var queryURL = 'https://api.giphy.com/v1/gifs/search?q='+s+'&api_key='+qcld_ilist_drag_ajax.sl_giphy_api_key+'&limit='+imagecount_gifs+'&offset='+offset_gifs+''
		$.ajax({
		        url: queryURL,
		        method: "GET"
		    }).done(function(response) {
		        
		        object_gifs = response;
		        $('#qcld-drag-drop-media').empty();
		        //If no results, show no result screen
		        if(response.data.length<1){

		            $('#qcld-drag-drop-media').append('<div id="noresults">NO RESULTS...</div>');
		            $('#qcld-drag-drop-media').append('<div id="noresults">TRY SOMETHING ELSE!</div></div>');     
		        } else {
		            //Appends gifs to proper #gif div
		            for (var i = 0; i < response.data.length; i++) {
		                var mystring = response.data[i].title;
		                var newstring = mystring.replace(/\s/g, "").length;
		                if(newstring>0){
		                    var temptitle = response.data[i].title
		                }
		                else {
		                    var temptitle = 'No Title'
		                }
		                $('#qcld-drag-drop-media').append('<div class="qcld-drag-drop-photo_added"><img class="qcld-drag-drop-draggables" src="'+response.data[i].images.downsized.url+'"></div>');
		           
	            
			            $('.qcld-drag-drop-photo_added img').each(function(index) {
						    $(this).draggable(dragOpts);
						});

					 
		            }
		        }
		        //End Append gifs to page
		    });



      	setTimeout(function(){ 
	 		content_warppers.closest('.qcld-drag-drop-sidebar-search-img-media').removeClass('qcld-loading');
	  	}, 5000);
	    return;


    });


  
	  var dragOpts = {
	    helper: 'clone',
	    zIndex: 10,
	  },
      dropOpts = {
        tolerance: 'fit',
        drop: function(e, ui) {
         if(ui.draggable.parent().hasClass('qcld-drag-drop-photo_added')) {
            var cloneImg = ui.draggable.clone(),
                cloneDragOpts = {
                };

            cloneImg.addClass('qcld-drag-drop-draggable qcld-drag-drop-active qcld-drag-drop-active-wrapping');
            cloneImg.css({"width": "100%", "height": "100%", "position": "relative"});
            $(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").append(cloneImg);
            $('.qcld-drag-drop-active-wrapping').wrap("<div class='qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active'></div>").removeClass('qcld-drag-drop-active-wrapping');

            $('.qcld_drag_drop_custom_css_add').each(function(){
				$(this).draggable();
			})

            $('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').trigger( "click" );
         }


         if(ui.draggable.parent().hasClass('qcld-drag-drop-background_added')) {
            var cloneImg = ui.draggable.clone(),
                cloneDragOpts = {
                };

            var background_img = ui.draggable.parent().find('img').attr('src');


			$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").css({"background-image": "url("+background_img+")", "background-size": "cover", "background-repeat": "no-repeat" });



         }


          if(ui.draggable.parent().hasClass('qcld-drag-drop-text_added')) {
            var cloneImg = ui.draggable.clone(),
                cloneDragOpts = {
                };

            cloneImg.addClass('qcld-drag-drop-draggable qcld-drag-drop-active qcld-drag-drop-active-wrapping');
            cloneImg.css({"width": "100%", "height": "100%", "position": "relative"});

        
			$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
			$('.qcld-drag-drop-draggable.qcld-drag-drop-text').removeClass('qcld-drag-drop-active');
			$('.qcld-drag-drop-draggable.qcld-drag-drop-draggable').removeClass(' qcld-drag-drop-active');
			var text_item = ui.draggable.parent().attr('data-attr');

			if(text_item == 'text-1'){
				template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="text-align: center;font-size: 30px;font-weight: 400;letter-spacing: 5px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Write an intriguing summary of what your company does.</div></div>';
			}else if(text_item == 'text-2'){

				template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-weight: bold; text-align: center; font-size: 60px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Your Company Name</div></div>';
			}else if(text_item == 'text-3'){

				template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-weight: bold; text-align: center; font-size: 30px; color: #847674;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">We offer a variety of services to make your pool more enjoyable.</div></div>';
			}else{
				template = '<div  class="qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active" style="font-size: 25px; letter-spacing: 5px; width: 338px; right: auto; height: 143px; bottom: auto; left: 33.7969px; top: 442.797px; text-align: center;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text qcld-drag-drop-active">Write an intriguing summary of what your company does.</div></div>';
			}



			$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").append(template);
			$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').each(function(){
				$(this).draggable();
				$(this).data("height", $(this).outerHeight());
	    		$(this).data("width", $(this).outerWidth());
			})
			$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active *').each(function(){
			    $(this).data("height", $(this).outerHeight());
			    $(this).data("width", $(this).outerWidth());
			    $(this).data("fontSize", parseInt($(this).css("font-size")));
			    $(this).data("lineHeight", parseInt($(this).css("font-size")));
			});

			$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').trigger( "click" );



         }


        if(ui.draggable.parent().hasClass('qcld-drag-drop-template_added')) {
            var cloneImg = ui.draggable.clone(),
                cloneDragOpts = {
                };

            cloneImg.addClass('qcld-drag-drop-draggable qcld-drag-drop-active qcld-drag-drop-active-wrapping');
            cloneImg.css({"width": "100%", "height": "100%", "position": "relative"});

			var theme_name = ui.draggable.parent().attr('data-attr');

			var theme_changed_wrap = $(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content");

			if(theme_name == 'template-1'){

			var template = '<div class="qcld-drag-drop-template-box template-one" style="width: 100%;padding: 5%;display: block; height: 100%;">'
					   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 60px; width: 380px; right: auto; height: 260px; bottom: auto; left: 8px; top: 51px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " style="width: 380px; height: 260px; font-size: 60px; line-height: 60px;"> Your Company Name</div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="text-align: center;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text "> Write an intriguing summary of what your company does. </div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="left: 160px; top: 386px;">'
						   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/1.png" class="qcld-drag-drop-draggable">'
					   +'</div>'
				   +'</div>';


			}else if(theme_name == 'template-2'){

			var template = '<div class="qcld-drag-drop-template-box template-two" style="width: 100%; height: 100%; padding: 5%; display: block; background: url(http://devel9/ilist-pro/wp-content/plugins/iList-pro//assets/assets/images/bg-10.jpg) 0% 0% / cover no-repeat gray;">'
					   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 40px; color: white; width: 296px; right: auto; height: 106px; bottom: auto; left: 55.7969px; top: 93.7969px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text ">The Utopia</div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="color: white; width: 357px; right: auto; height: 24px; bottom: auto; left: 19.7969px; top: 37.7969px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text"> Write an intriguing summary of what your company does. </div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="width: 270px; height: 163px; right: auto; bottom: auto; left: 61.7969px; top: 275.797px;">'
						   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/screen-font.jpg"  class="qcld-drag-drop-draggable">'
					   +'</div>'
				   +'</div>';
				
			}else if(theme_name == 'template-3'){

			var template = '<div class="qcld-drag-drop-template-box template-three" style="width: 100%;height:100%;padding: 5%;display: block;background: #f5f5f5;">'
					   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(252, 108, 58); text-align: center; width: 357px; right: auto; height: 24px; bottom: auto; left: 19.7969px; top: 23.7969px;"> <div class="qcld-drag-drop-draggable qcld-drag-drop-text " > Write an intriguing summary of what your company does. </div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 60px; color: rgb(252, 108, 58); font-family: sans-serif; width: 314px; right: auto; height: 89px; bottom: auto; left: 38.7969px; top: 67.7969px;"> <div class="qcld-drag-drop-draggable qcld-drag-drop-text ">The Utopia</div></div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(204, 204, 204); text-align: center; width: 326px; right: auto; height: 44px; bottom: auto; left: 25.7969px; top: 177.797px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " > Take a peek at the future of fashion from BSFs own.</div></div>'
					   +'<div  class="qcld_drag_drop_custom_css_add" style="width: 294px; height: 178px; right: auto; bottom: auto; left: 45.7969px; top: 368.797px;">'
						   +'<img src="'+qcld_ilist_drag_ajax.QCOPD_ASSETS_URL1 +'/assets/images/screen-font.jpg" class="qcld-drag-drop-draggable">'
					   +'</div>'
					   +'<div class="qcld_drag_drop_custom_css_add" style="color: rgb(252, 108, 58); text-align: center; width: 284px; right: auto; height: 44px; bottom: auto; left: 53.7969px; top: 235.797px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " > November 28, 2020 7:00 PM BSF Auditorium</div></div>'
				   +'</div>';

			}


			$(theme_changed_wrap).html(template);
			$(theme_changed_wrap).find('img').css({"width": "100%", "height": "100%"});

			$('.qcld_drag_drop_custom_css_add').each(function(){
				$(this).draggable();
				$(this).data("height", $(this).outerHeight());
	    		$(this).data("width", $(this).outerWidth());
			})
			$('.qcld_drag_drop_custom_css_add *').each(function(){
			    $(this).data("height", $(this).outerHeight());
			    $(this).data("width", $(this).outerWidth());
			    $(this).data("fontSize", parseInt($(this).css("font-size")));
			    $(this).data("lineHeight", parseInt($(this).css("font-size")));
			});

         }

        }

    };

	$('li.qcld-drag-drop-template_added img').each(function(index) {
	    $(this).draggable(dragOpts);
	});

	$('li.qcld-drag-drop-photo_added img').each(function(index) {
	    $(this).draggable(dragOpts);
	});

	$('li.qcld-drag-drop-background_added img').each(function(index) {
	    $(this).draggable(dragOpts);
	});

	$('li.qcld-drag-drop-text_added img').each(function(index) {
	    $(this).draggable(dragOpts);
	});

	  
	$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").droppable(dropOpts);


	$(document).on('click', 'body', function (e) {

		$('li.qcld-drag-drop-template_added img').each(function(index) {
		    $(this).draggable(dragOpts);
		});

		$('.qcld-drag-drop-photo_added img').each(function(index) {
		    $(this).draggable(dragOpts);
		});

		$('li.qcld-drag-drop-background_added img').each(function(index) {
		    $(this).draggable(dragOpts);
		});

		$('li.qcld-drag-drop-text_added img').each(function(index) {
		    $(this).draggable(dragOpts);
		});
		  
		$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").droppable(dropOpts);
	 
	});



    //Custom image Upload

    $('.qcld_drag_drop_image_upload').click(function(e) {

        e.preventDefault();
        var image = wp.media({
            title: 'Custom Agent',
            multiple: false
        }).open().on('select', function(e){

            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;

			$('.qcld_drag_drop_custom_css_add').removeClass('qcld-drag-drop-resizable-active');
			$('.qcld-drag-drop-draggable.qcld-drag-drop-text').removeClass(' qcld-drag-drop-active');
			$('.qcld-drag-drop-draggable.qcld-drag-drop-draggable').removeClass(' qcld-drag-drop-active');

			var img = '<img src="'+image_url+'" class="qcld-drag-drop-draggables qcld-drag-drop-draggable qcld-drag-drop-active" style="width: 100%; height: 100%;">';
			template = img;
			$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").append("<div class='qcld_drag_drop_custom_css_add qcld-drag-drop-resizable-active'>"+template+ '</div>');
			
			$('.qcld_drag_drop_custom_css_add').each(function(){
				$(this).draggable();
			})

			$('.qcld_drag_drop_custom_css_add.qcld-drag-drop-resizable-active').trigger( "click" );

        });

    });

    //Custom Backgroud image Upload

    $('.qcld_drag_drop_background_image_upload').click(function(e) {

        e.preventDefault();
        var image = wp.media({
            title: 'Custom Agent',
            multiple: false
        })
        .open()
        .on('select', function(e){
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;
			$(".qcld-drag-drop-center-wrapper.qcld-drag-drop-active-theme .qcld-drag-drop-card-content .qcld-drag-drop-template-box").css({"background-image": "url("+image_url+")", "background-size": "cover", "background-repeat": "no-repeat" });

        });

    });



});