<?php
define('ilistpro_LICENSING_PLUGIN_SLUG', 'iList-pro/qc-project-ilist-main.php');
define('ilistpro_LICENSING_PLUGIN_NAME', 'iList-pro');
define('ilistpro_LICENSING__DIR', plugin_dir_path(__DIR__));

define('ilistpro_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/iList-pro/update.php');
define('ilistpro_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('ilistpro_ENVATO_PLUGIN_ID', 19348519);
//end new-update-for-codecanyon

function get_ilistpro_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(ilistpro_LICENSING__DIR.'/qc-project-ilist-main.php', false);
}

//License Options
function get_ilistpro_licensing_key(){
	return get_option('qcld_ilistpro_enter_license_key');
}

function get_ilistpro_envato_key(){
	return get_option('qcld_ilistpro_enter_envato_key');
}

function get_ilistpro_licensing_buy_from(){
	return get_option('qcld_ilistpro_buy_from_where');
}


//Update Transients
function get_ilistpro_update_transient(){
	return get_transient('qcld_update_ilistpro');
}

function set_ilistpro_update_transient($plugin_object){
	return set_transient( 'qcld_update_ilistpro', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_ilistpro_update_transient(){
	return delete_transient( 'qcld_update_ilistpro' );
}


//Renewal Transients
function get_ilistpro_renew_transient(){
	return get_transient('qcld_renew_ilistpro_subscription');
}

function set_ilistpro_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_ilistpro_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_ilistpro_renew_transient(){
	return delete_transient( 'qcld_renew_ilistpro_subscription' );
}


//Invalid License Options
function get_ilistpro_invalid_license(){
	return get_option('ilistpro_invalid_license');
}

function set_ilistpro_invalid_license(){
	return update_option('ilistpro_invalid_license', 1);
}

function delete_ilistpro_invalid_license(){
	return delete_option('ilistpro_invalid_license');
}
function ilistpro_get_licensing_url(){
	return admin_url('edit.php?post_type=ilist&page=qc-ilist-sessions-help-license');
}

//Valid License
function get_ilistpro_valid_license(){
	return get_option('ilistpro_valid_license');
}
function set_ilistpro_valid_license(){
	return update_option('ilistpro_valid_license', 1);
}
function delete_ilistpro_valid_license(){
	return delete_option('ilistpro_valid_license');
}

//staging or live 
function get_ilistpro_site_type(){
	return get_option('qcld_ilistpro_site_type');
}



//start new-update-for-codecanyon
function get_ilistpro_license_purchase_code(){
	return get_option('qcld_ilistpro_enter_license_or_purchase_key');
}

function get_ilistpro_enter_license_notice_dismiss_transient(){
	return get_transient('get_ilistpro_enter_license_notice_dismiss_transient');
}

function set_ilistpro_enter_license_notice_dismiss_transient(){
	return set_transient('get_ilistpro_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function get_ilistpro_invalid_license_notice_dismiss_transient(){
	return get_transient('get_ilistpro_invalid_license_notice_dismiss_transient');
}

function set_ilistpro_invalid_license_notice_dismiss_transient(){
	return set_transient('get_ilistpro_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon