<?php 

defined('ABSPATH') or die("No direct script access!");

function ilist_drag_drop_admin_style_script(){
    global $post_type;

    if(is_admin()){

		if( (isset($_GET['page']) && ($_GET['page']=='qc-ilist-template-drag-drop')) || ($post_type=='qc_ilist_drag_drop')  ){
			
			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_style( 'qc-ilist-drag-bootstrap-css', QCOPD_ASSETS_URL1 . "/assets/css/bootstrap.min.css");
			wp_enqueue_style( 'qc-ilist-drag-jquery-ui-css', QCOPD_ASSETS_URL1 . "/assets/css/jquery-ui.css");
			wp_enqueue_style( 'qc-ilist-drag-icons-styles', QCOPD_ASSETS_URL1 . "/assets/css/icons.min.css");
			wp_enqueue_style( 'qc-ilist-drag-fontselect-style', QCOPD_ASSETS_URL1 . "/assets/css/fontselect-alternate.css");
			wp_enqueue_style( 'qc-ilist-drag-custom-style', QCOPD_ASSETS_URL1 . "/assets/css/demo-style.css", array( 'wp-color-picker' ));


			wp_enqueue_style( 'wp-color-picker' );
			
    		//wp_enqueue_script( 'jquery');

			wp_enqueue_script( 'qc-ilist-drag-bootstrap-js', QCOPD_ASSETS_URL1 . "/assets/js/bootstrap.min.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-jquery-ui-js', QCOPD_ASSETS_URL1 . "/assets/js/jquery-ui.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-draggin-js', QCOPD_ASSETS_URL1 . "/assets/js/draggin.min.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-fontselect-js', QCOPD_ASSETS_URL1 . "/assets/js/jquery.fontselect.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-infinite-scroll-js', QCOPD_ASSETS_URL1 . "/assets/js/infinite-scroll.pkgd.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-masonry-js', QCOPD_ASSETS_URL1 . "/assets/js/masonry.pkgd.js", array('jquery'));
			wp_enqueue_script( 'qc-ilist-drag-custom-js', QCOPD_ASSETS_URL1 . "/assets/js/custom-scripts.js", array('jquery', 'wp-color-picker'));

			
            wp_enqueue_media();

		 	$qcld_ajax = array(
	                'admin_url'                 => admin_url( 'admin-ajax.php', is_ssl() ? 'https' : 'http' ),
	                'qcld_ajax_nonce'           => wp_create_nonce( 'qcld-ilist' ),
	                'QCOPD_ASSETS_URL1'         => QCOPD_ASSETS_URL1,
	                'sl_unsplash_api_key'       => ot_get_option('sl_unsplash_api_key'),
	                'sl_giphy_api_key'          => ot_get_option('sl_giphy_api_key'),
	            );

	    	wp_localize_script( 'qc-ilist-drag-custom-js', 'qcld_ilist_drag_ajax', $qcld_ajax );



		}
	}

	
}
add_action( 'admin_enqueue_scripts', 'ilist_drag_drop_admin_style_script' );



function qcld_ilist_drag_drop_template_function_callback(){

	global $post;
    if(isset($post->post_type) && ('qc_ilist_drag_drop' === $post->post_type)){
        $post_id = $post->ID;
       
	?>


<div class="qcld-drag-drop-container_wrap">
  	<div class="qcld-drag-drop-sidebar">

		<div class="nav-right hidden-xss">
	      <div class="qcld-drag-drop-button-style" id="btn">
	        <div class="qcld-drag-drop-bar qcld-drag-drop-top"></div>
	        <div class="qcld-drag-drop-bar qcld-drag-drop-middle"></div>
	        <div class="qcld-drag-drop-bar qcld-drag-drop-bottom"></div>
	      </div>
	    </div>

		<ul class="qcld-drag-drop-sidebar-list">
			<li class="qcld-drag-drop-sidebar-item qcld-drag-drop-active_item"  data-tab="qcld-drag-drop-tab-1"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-columns"></i> <?php esc_html_e('Templates'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-2"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-images"></i> <?php esc_html_e('Media Library', 'qc-opd'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-unflash"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-images"></i> <?php esc_html_e('Unsplash', 'qc-opd'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-3"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-star"></i> <?php esc_html_e('Stickers', 'qc-opd'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-media"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-video"></i> <?php esc_html_e('Media', 'qc-opd'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-4"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-text-width"></i> <?php esc_html_e('Text', 'qc-opd'); ?> </a></li>
			<li class="qcld-drag-drop-sidebar-item"  data-tab="qcld-drag-drop-tab-5"><a href="#" class="qcld-drag-drop-sidebar-anchor"> <i class="fas fa-th-large"></i> <?php esc_html_e('Background', 'qc-opd'); ?> </a></li>
		</ul>

		<div class="qcld-drag-drop-sidebar-content qcld-drag-drop-active">
			<div class="qcld-drag-drop-sidebar-content-close"><p><?php esc_html_e('Close', 'qc-opd'); ?></p></div>
			<h3 class="qcld-drag-drop-sidebar-header"> <?php esc_html_e('Templates', 'qc-opd'); ?> </h3>
			<!-- Templates -->
			<div class="qcld-drag-drop-sidebar-content-wrapper qcld-drag-drop-current"  id="qcld-drag-drop-tab-1">
				<ul>
					<li class="qcld-drag-drop-template_added" data-attr="template-1"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/template-1.jpg" class=""></li>
					<li class="qcld-drag-drop-template_added" data-attr="template-2"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/template-2.jpg" class=""></li>
					<li class="qcld-drag-drop-template_added" data-attr="template-3"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/template-3.jpg" class=""></li>
				</ul>

			</div>
			<!-- Photos -->
			<div class="qcld-drag-drop-sidebar-content-wrapper" id="qcld-drag-drop-tab-2">
				<div class="qcld-drag-drop-image-upload">
                    <input type="hidden" name="qcld_drag_drop_image_upload_path" id="qcld_drag_drop_image_upload_path" value=""/>
                    <button type="button" class="qcld_drag_drop_image_upload button"> <i class="fas fa-image"></i> <?php esc_html_e('Upload  Image', 'qc-opd'); ?> </button>
				</div>

			</div>
			<!-- unflash Photos -->
			<div class="qcld-drag-drop-sidebar-content-wrapper"  id="qcld-drag-drop-tab-unflash">
			
				<div class="qcld-drag-drop-sidebar-search-img">
					<div class="form-group has-search">
					    <span class="fa fa-search form-control-feedback"></span>
					    <input type="text" class="form-control" placeholder="Search">
					</div>
					
				</div>

				<ul class="qcld-drag-drop-tab-unflash">
				</ul>

				<div class="page-load-status">
				  <div class="loader-ellips infinite-scroll-request">
				    <span class="loader-ellips__dot"></span>
				    <span class="loader-ellips__dot"></span>
				    <span class="loader-ellips__dot"></span>
				    <span class="loader-ellips__dot"></span>
				  </div>
				  <p class="infinite-scroll-last"><?php esc_html_e('End of content', 'qc-opd'); ?></p>
				  <p class="infinite-scroll-error"><?php esc_html_e('No more pages to load', 'qc-opd'); ?></p>
				</div>


				<!-- .photo-item template HTML -->
				<script type="text/html" id="photo-item-template">
				  <li class="photo-item qcld-drag-drop-photo_added">
				    <img class="qcld-drag-drop-draggables" src="{{urls.small}}" alt="Photo by {{user.name}}" />
				  </li>
				</script>


			</div>
			<!-- Elements stickers -->
			<div class="qcld-drag-drop-sidebar-content-wrapper"  id="qcld-drag-drop-tab-3">
			
				<div class="qcld-drag-drop-sidebar-search-img-gifs">
					<div class="form-group has-search">
					    <span class="fa fa-search form-control-feedback"></span>
					    <input type="text" class="form-control" placeholder="Search in giphy">
					</div>
					
				</div>
				<div id="qcld-drag-drop-gifs"></div>

			</div>
			<!-- Elements media -->
			<div class="qcld-drag-drop-sidebar-content-wrapper"  id="qcld-drag-drop-tab-media">
			
				<div class="qcld-drag-drop-sidebar-search-img-media">
					<div class="form-group has-search">
					    <span class="fa fa-search form-control-feedback"></span>
					    <input type="text" class="form-control" placeholder="Search in giphy">
					</div>
					
				</div>
				<div id="qcld-drag-drop-media"></div>

			</div>
			<!-- Text -->
			<div class="qcld-drag-drop-sidebar-content-wrapper"  id="qcld-drag-drop-tab-4">
				<ul>
					<li class="qcld-drag-drop-text_added" data-attr="text-1"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/text-1.jpg" class=""></li>
					<li class="qcld-drag-drop-text_added" data-attr="text-2"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/text-2.jpg" class=""></li>
					<li class="qcld-drag-drop-text_added" data-attr="text-3"><img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/text-3.jpg" class=""></li>
				</ul>

			</div>
			<!-- Background -->
			<div class="qcld-drag-drop-sidebar-content-wrapper"  id="qcld-drag-drop-tab-5">

				<div class="qcld-drag-drop-theme-bg-wrap">
					<input type="text" id="qcld_drag_drop_change_bg_color" name="qcld_drag_drop_change_bg_color" value="" class="qcld_drag_drop_change_bg_color form-control"  />
				</div>
				<div class="qcld-drag-drop-background-image-upload">
                    <input type="hidden" name="qcld_drag_drop_background_image_upload_path" id="qcld_drag_drop_background_image_upload_path" value=""/>
                    <button type="button" class="qcld_drag_drop_background_image_upload button"> <i class="fas fa-image"></i> <?php esc_html_e('Upload  Image', 'qc-opd'); ?> </button>
				</div>

			</div>

		</div>


	</div>


		<ul class="qcld-drag-drop-header_wrap_menu">
			<li>
				<label for="qcld_drag_drop_change_font_size"><?php esc_html_e('Font Size', 'qc-opd'); ?></label>
				<select class="form-control" name="qcld_drag_drop_change_font_size" id="qcld_drag_drop_change_font_size">
					<option value="<?php echo get_post_meta($post->ID, 'qcld_drag_drop_change_font_size', true); ?>" selected ><?php echo get_post_meta($post->ID, 'qcld_drag_drop_change_font_size', true); ?></option>
				</select>
			</li>
			<li>
				<label for="qcld_drag_drop_change_text_align"><?php esc_html_e('Text align', 'qc-opd'); ?></label>
				<?php $qcld_drag_drop_change_text_align = get_post_meta($post->ID, 'qcld_drag_drop_change_text_align', true);  ?>
				<select class="form-control" name="qcld_drag_drop_change_text_align" id="qcld_drag_drop_change_text_align">
				<option value="left" <?php  if($qcld_drag_drop_change_text_align == 'left'){ echo 'selected'; } ?> ><?php esc_html_e('Left', 'qc-opd'); ?></option>
				<option value="right" <?php  if($qcld_drag_drop_change_text_align == 'right'){ echo 'selected'; } ?> ><?php esc_html_e('Right', 'qc-opd'); ?></option>
				<option value="center" <?php  if(empty($qcld_drag_drop_change_text_align) || ($qcld_drag_drop_change_text_align == 'center')){ echo 'selected'; } ?> ><?php esc_html_e('Center align', 'qc-opd'); ?></option>
				<option value="justify" <?php  if($qcld_drag_drop_change_text_align == 'justify'){ echo 'selected'; } ?> ><?php esc_html_e('Justify', 'qc-opd'); ?></option>
				</select>
			</li>
			<li>
				<label for="qcld_drag_drop_change_font_color"><?php esc_html_e('Font Color', 'qc-opd'); ?></label>
				<input type="text" id="qcld_drag_drop_change_font_color" name="qcld_drag_drop_change_font_color" value="<?php echo get_post_meta($post->ID, 'qcld_drag_drop_change_font_color', true); ?>" class="qcld-drag-drop-color-field form-control"  />
			</li>
			<li>
				<label for="qcld_drag_drop_change_text_align"><?php esc_html_e('Fonts', 'qc-opd'); ?></label>
				<input id="font" type="text" />
			</li>
			<li>
				<label for="qcld_drag_drop_add_link"><?php esc_html_e('Add Link', 'qc-opd'); ?></label>
				<div class="qcld_drag_drop_add_link_wrap">
					<input type="text" id="qcld_drag_drop_add_link" name="qcld_drag_drop_add_link" value="" class="qcld_drag_drop_add_link"  />
					<input type="button" id="qcld_drag_drop_add_link_save" name="qcld_drag_drop_add_link_save" value="Save" class="qcld_drag_drop_add_link_save"  />
					<div class="qcld_loading_wrap"></div>
				</div>
			</li>
		</ul>

  	<div class="qcld-template-wrapper">

  		<?php 

  		 $value = get_post_meta($post->ID, 'qcld_drag_drop_publish_in_data', true);

  		 if(!empty($post_id) && !empty($value) ){
  		 	echo $value;
  		 }else{

  		?>

	        <div class="qcld-drag-drop-frame">
	            <div class="qcld-drag-drop-center-wrapper">
	            	<div class="qcld-drag-drop-wrapper-action">
	            		<div class="qcld-drag-drop-wrapper-up" data-title="Move Up"><i class="fas fa-chevron-up"></i></div>
	            		<div class="qcld-drag-drop-wrapper-down" data-title="Move Down"><i class="fas fa-chevron-down"></i></div>
	            		<div class="qcld-drag-drop-wrapper-remove" data-title="Delete Page"><i class="fas fa-trash-alt"></i></div>
	            		<div class="qcld-drag-drop-wrapper-copy" data-title="Copy Page"><i class="far fa-copy"></i></div>
	            		<div class="qcld-drag-drop-wrapper-add" data-title="Add a New Page"><i class="fas fa-plus"></i></div>
	            	</div>
	                <div class="qcld-drag-drop-card-content">
	                	<div class="qcld-drag-drop-template-box template-one" style="width: 100%;padding: 5%;display: block; height: 100%;left: 1px; top: 15px;">
		                   <div class="qcld_drag_drop_custom_css_add" style="font-weight: bold; text-align: center; font-size: 60px; width: 380px; right: auto; height: 260px; bottom: auto; left: 9px; top: 12px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text " style="width: 380px; height: 260px; font-size: 60px; line-height: 60px;"><?php esc_html_e('Your Company Name', 'qc-opd'); ?></div></div>
		                   <div class="qcld_drag_drop_custom_css_add" style="left: 24px; top: 311px;"><div class="qcld-drag-drop-draggable qcld-drag-drop-text "> <?php esc_html_e('Write an intriguing summary of what your company does.', 'qc-opd'); ?> </div></div>
		                   
						   <div class="qcld_drag_drop_custom_css_add" style="left: 160px; top: 386px;">
		                   		
			                   	<img src="<?php echo QCOPD_ASSETS_URL1; ?>/assets/images/1.png" class="qcld-drag-drop-draggable">
			                   	
			               </div>
		               </div>
	                </div>
	            </div>

	        </div>
    	<?php } ?>

    </div>

	<input type="hidden" value="" name="qcld_drag_drop_publish_in_data" class="qcld_drag_drop_publish_in_data" />

</div>


<?php

}

}




function qcilist_pro_noted_add_custom_meta_boxs()
{
    add_meta_box("qc_ilist_drag_drop-meta-box", "Page Build", "qcilist_pro_noted_custom_meta_box_markups", "qc_ilist_drag_drop");
}

add_action("add_meta_boxes", "qcilist_pro_noted_add_custom_meta_boxs");


function qcilist_pro_noted_custom_meta_box_markups($object)
{

    ?>
        <div>
            <?php 

	            if(isset($object->ID) && !empty($object->ID)): 

	            	$qcld_ilist_shortcode =  qcld_ilist_drag_drop_template_function_callback(); 
					echo $qcld_ilist_shortcode;
	            
	        	endif; 

        	?>

        </div>

    <?php  
}



/***************************************
 * custom post edit by ajax...
 ***************************************/

function qcilist_pro_custom_post_drag_drop_type_xhr(){
    global $post;
    if(isset($post->post_type) && ('qc_ilist_drag_drop' === $post->post_type)){
        $post_url = admin_url('post.php'); #In case we're on post-new.php
        $post_id = isset($_GET['post']);
        if(!empty($post_id)):

        	
        	$shortcode_drag_drop_template_width = get_post_meta( $post_id, 'shortcode_drag_drop_template_width' );
			$shortcode_drag_drop_template_height = get_post_meta( $post_id, 'shortcode_drag_drop_template_height' );

			$mode = get_post_meta( $post_id, 'shortcode_drag_drop_template_mode' );
					

        echo "
        <script>
            jQuery(document).ready(function($){
                //Click handler - you might have to bind this click event another way
                $('#publish').click(function(){

                	$('.spinner').addClass('is-active');

                	var qcld_ilist_shortcode = $('input[name=shortcode_drag_drop_template_mode]:checked').val();

                	var shortcode_drag_drop_template_width = $('#shortcode_drag_drop_template_width').val();
		      		var shortcode_drag_drop_template_height = $('#shortcode_drag_drop_template_height').val();
		      		if(shortcode_drag_drop_template_width == ''){
		      			shortcode_drag_drop_template_width = 400;
		      		}
		      		if(shortcode_drag_drop_template_height == ''){
		      			shortcode_drag_drop_template_height = 600;
		      		}
            		$('.qcld-drag-drop-center-wrapper').animate({'width': shortcode_drag_drop_template_width +'px', 'height': shortcode_drag_drop_template_height+'px'});
            		$('.qcld-drag-drop-center-wrapper').css({'width': shortcode_drag_drop_template_width +'px', 'height': shortcode_drag_drop_template_height+'px', 'overflow': 'initial'});

                	var drag_drop_data_set = $('.qcld-drag-drop-container_wrap .qcld-template-wrapper').html();

                	$('.qcld_drag_drop_publish_in_data').val(drag_drop_data_set);

                    //Post to post.php
                    var postURL = '$post_url';

                    //Collate all post form data
                    var data = $('form#post').serializeArray();

                    //Set a trigger for our save_post action
                    data.push({foo_doing_ajax: true});

                    //The XHR Goodness
                    $.post(postURL, data, function(response){

                    	$('.spinner').removeClass('is-active'); 

                    	$('#qcilist-ilist_drag_drop-shortcode-meta-box .inside div').html('[qcld-drag-drop-page list_id=".$post_id."  mode='+qcld_ilist_shortcode+'] <br><br> <p> You can also use the iList Shortcode Generator in your page for additional options. </p>');
             

                    });
                    return false;
                });
            });
        </script>";
    else:

    	 echo "
        <script>
            jQuery(document).ready(function($){
                //Click handler - you might have to bind this click event another way
                $('#publish').click(function(){

                	var qcld_ilist_shortcode = $('input[name=shortcode_drag_drop_template_mode]:checked').val();

                	var shortcode_drag_drop_template_width = $('#shortcode_drag_drop_template_width').val();
		      		var shortcode_drag_drop_template_height = $('#shortcode_drag_drop_template_height').val();
		      		if(shortcode_drag_drop_template_width == ''){
		      			shortcode_drag_drop_template_width = 400;
		      		}
		      		if(shortcode_drag_drop_template_height == ''){
		      			shortcode_drag_drop_template_height = 600;
		      		}
            		$('.qcld-drag-drop-center-wrapper').animate({'width': shortcode_drag_drop_template_width +'px', 'height': shortcode_drag_drop_template_height+'px'});
            		$('.qcld-drag-drop-center-wrapper').css({'width': shortcode_drag_drop_template_width +'px', 'height': shortcode_drag_drop_template_height+'px', 'overflow': 'initial'});

                	var drag_drop_data_set = $('.qcld-drag-drop-container_wrap .qcld-template-wrapper').html();

                	$('.qcld_drag_drop_publish_in_data').val(drag_drop_data_set);
             

                 
                });
            });
        </script>";

    endif;
    }
}
add_action('admin_head-post.php', 'qcilist_pro_custom_post_drag_drop_type_xhr');
add_action('admin_head-post-new.php', 'qcilist_pro_custom_post_drag_drop_type_xhr');

//add_action('save_post', 'qcilist_pro_save_my_custom_post_drag_drop_type');
function qcilist_pro_save_my_custom_post_drag_drop_type($post_id){


    if ( !current_user_can( 'edit_page', $postid ) ) return false;
    if(empty($postid) || (isset($_POST['post_type']) != 'qc_ilist_drag_drop' )) return false;

    if($_POST['action'] == 'editpost'){
        delete_post_meta($postid, 'qcld_drag_drop_publish_in_data');
        delete_post_meta($postid, 'qcld_drag_drop_change_text_align');
        delete_post_meta($postid, 'qcld_drag_drop_change_font_size');
        delete_post_meta($postid, 'qcld_drag_drop_change_font_color');
    }

    add_post_meta($postid, 'qcld_drag_drop_publish_in_data', $_POST['qcld_drag_drop_publish_in_data']);
    add_post_meta($postid, 'qcld_drag_drop_change_text_align', $_POST['qcld_drag_drop_change_text_align']);
    add_post_meta($postid, 'qcld_drag_drop_change_font_size', $_POST['qcld_drag_drop_change_font_size']);
    add_post_meta($postid, 'qcld_drag_drop_change_font_color', $_POST['qcld_drag_drop_change_font_color']);

}


add_action( 'save_post', 'qcilist_pro_save_custom_post_drag_drop_type');

function qcilist_pro_save_custom_post_drag_drop_type($postid)
{   
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return false;
    if ( !current_user_can( 'edit_page', $postid ) ) return false;
    if(empty($postid) || (  isset($_POST['post_type']) != 'qc_ilist_drag_drop') ) return false;

    if($_POST['action'] == 'editpost'){
        delete_post_meta($postid, 'qcld_drag_drop_publish_in_data');
        delete_post_meta($postid, 'qcld_drag_drop_change_text_align');
        delete_post_meta($postid, 'qcld_drag_drop_change_font_size');
        delete_post_meta($postid, 'qcld_drag_drop_change_font_color');
    }

    if(isset($_POST['qcld_drag_drop_publish_in_data'])){

    	add_post_meta($postid, 'qcld_drag_drop_publish_in_data', $_POST['qcld_drag_drop_publish_in_data']);
    }

    if(isset($_POST['qcld_drag_drop_change_text_align'])){

    	add_post_meta($postid, 'qcld_drag_drop_change_text_align', $_POST['qcld_drag_drop_change_text_align']);

	}
    if(isset($_POST['qcld_drag_drop_change_font_size'])){

    	add_post_meta($postid, 'qcld_drag_drop_change_font_size', $_POST['qcld_drag_drop_change_font_size']);

	}
    if(isset($_POST['qcld_drag_drop_change_font_color'])){

    	add_post_meta($postid, 'qcld_drag_drop_change_font_color', $_POST['qcld_drag_drop_change_font_color']);     

    }      

}



//Custom Columns for Directory Listing
function qc_ilist_drag_drop_text_list_column_head($defaults) {

    $new_columns['cb'] = '<input type="checkbox" />';
    $new_columns['title'] = __('Title');
    $new_columns['qcld_drag_drop_shortcode'] = 'Shortcode';
    $new_columns['date'] = __('Date');
    return $new_columns;
}
 
//Custom Columns Data for Backend Listing
function qc_ilist_drag_drop_list_text_columns_content($column_name, $post_ID) {

    if ($column_name == 'qcld_drag_drop_shortcode') {

    	$mode = get_post_meta( $post_ID, 'shortcode_drag_drop_template_mode' );

        echo '[qcld-drag-drop-page list_id="'.$post_ID.'" mode="'.$mode[0].'"]';
    }

}

add_filter('manage_qc_ilist_drag_drop_posts_columns', 'qc_ilist_drag_drop_text_list_column_head');
add_action('manage_qc_ilist_drag_drop_posts_custom_column', 'qc_ilist_drag_drop_list_text_columns_content', 10, 2);


function qc_ilist_drag_drop_filter_the_content_in_the_main_loop() {
	global $post;

	$mode = get_post_meta( $post->ID, 'shortcode_drag_drop_template_mode');

	echo do_shortcode('[qcld-drag-drop-page list_id="'.esc_attr($post->ID).'" mode="'.esc_attr($mode[0]).'"]');

}

 
function qc_ilist_drag_drop_custom_page_redirect( $content ) {

	$post_type = get_post_type();

	if($post_type == 'qc_ilist_drag_drop'){

  		add_filter( 'the_content', 'qc_ilist_drag_drop_filter_the_content_in_the_main_loop' );

	}
 
}
add_action('template_redirect', 'qc_ilist_drag_drop_custom_page_redirect');


function qcilist_pro_drag_drop_shortcode_add_custom_meta_box()
{
    add_meta_box("qcilist-ilist_drag_drop-shortcode-meta-box", "Shortcode", "qcilist_pro_drag_drop_shortcode_custom_meta_box_markup", "qc_ilist_drag_drop", "side");
}

add_action("add_meta_boxes", "qcilist_pro_drag_drop_shortcode_add_custom_meta_box");


function qcilist_pro_drag_drop_shortcode_custom_meta_box_markup($object)
{

    ?>
        <div>
            <?php 

	            if(isset($object->ID) && !empty($object->ID ) && ( isset($_GET['action']) && $_GET['action'] == 'edit')): 

				    $mode = get_post_meta( $object->ID, 'shortcode_drag_drop_template_mode' );
					
	            	$qcld_ilist_shortcode =  '[qcld-drag-drop-page list_id="'.esc_attr($object->ID).'"  mode="'.esc_attr($mode[0]).'"] <br><br> <p> You can also use the iList Shortcode Generator in your page for additional options. </p>'; 
					echo $qcld_ilist_shortcode;
				elseif(isset($object->ID) && !empty($object->ID)):
					
	            	$qcld_ilist_shortcode =  '[qcld-drag-drop-page list_id="'.esc_attr($object->ID).'"  mode="slider"] <br><br> <p> You can also use the iList Shortcode Generator in your page for additional options. </p>'; 
					echo $qcld_ilist_shortcode;
	            
	        	endif; 

        	?>

        </div>

    <?php  
}