<?php 
defined('ABSPATH') or die("No direct script access!");

//Shortcode area
add_shortcode('qcld-ilist-compare', 'qcilist_pro_textlist_full_shortcode_compare');

function qcilist_pro_textlist_full_shortcode_compare( $atts = array() )
{
	ob_start();

	//Defaults & Set Parameters
	extract( shortcode_atts(
		array(
			'style'=>'compare-style-01',
			'list_id1' => '',
			'list_id2' => '',
			'upvote'	=>'',
			'title' => '',
			'main_title' => "1",
			'embed_option' => "1",
			'boxed_layout' => "0",
			'maxwidth' => "",
			'mainimage' => "",
			'removesharebutton'=>"",
			'disable_lightbox' => "false",
			'display_copy_share' => 'false'
		), $atts
	));

	$shortcodeAtts = array(
		'list_id1' => $list_id1,
		'list_id2' => $list_id2,
		'style'=> $style,
		'upvote'	=>$upvote,
		'title' => $title,
		'main_title' => $main_title,
		'embed_option' => $embed_option,
		'boxed_layout' => $boxed_layout,
		'maxwidth' => $maxwidth,
		'mainimage' => $mainimage,
		'removesharebutton'=>$removesharebutton,
		'display_copy_share' => $display_copy_share
	);
	
	
if($upvote==''){
	$upvote = ot_get_option('sl_enable_embed_list');
}
	$limit = 1;
	$list_args = array(
		'post_type' => 'ilist',
		'posts_per_page' => $limit,
	);

	if( $list_id1 != "")
	{
		$list_args = array_merge($list_args, array( 'p' => $list_id1 ));
	}
	// The Query
	$list_query = new WP_Query( $list_args );

	// The Loop
	if ( $list_query->have_posts() ) 
	{

		while ( $list_query->have_posts() ) 
		{
			$list_query->the_post();
			
			$lists1 = get_post_meta( get_the_ID(), 'qcld_text_group' );
		}	

	}
	wp_reset_query();
	$list_args2 = array(
		'post_type' => 'ilist',
		'posts_per_page' => $limit,
	);

	if( $list_id2 != "")
	{
		$list_args2 = array_merge($list_args2, array( 'p' => $list_id2 ));
	}
	// The Query
	$list_query2 = new WP_Query( $list_args2 );

	// The Loop
	if ( $list_query2->have_posts() ) 
	{

		while ( $list_query2->have_posts() ) 
		{
			$list_query2->the_post();
			
			$lists2 = get_post_meta( get_the_ID(), 'qcld_text_group' );
		}	

	}
	wp_reset_query();

	$hoderbg = '';
	echo '<div class="iList-outer-wrapper" data-display_copy_share="'.$display_copy_share.'">';
	if(!empty($lists1) and !empty($lists2)){
		$qc_ilist_dir = '';
		if ( file_exists( trailingslashit( get_stylesheet_directory() ) . "/ilist/templates/$style/template.php" ) ) { // Check Child theme First
			$qc_ilist_dir = trailingslashit( get_stylesheet_directory() ) . 'ilist/templates/';
		
		}elseif ( file_exists( trailingslashit( get_template_directory() ) . "/ilist/templates/$style/template.php" ) ) { // Check parent theme next
			$qc_ilist_dir = trailingslashit( get_template_directory() ) . 'ilist/templates/';

		}elseif(file_exists(OCOPD_TPL_DIR1. "/$style/template.php")){ // Check theme compatibility last
			$qc_ilist_dir = OCOPD_TPL_DIR1;
		}else{
			echo esc_html('Template does not exists!');
		}
		
		if( $qc_ilist_dir != '' ){
			require($qc_ilist_dir . "/$style/template.php");
			if(strlen($maxwidth)>2 ):
		?>
				<style type="text/css">
					.qcld-list-hoder{
						max-width:<?php echo $maxwidth; ?> !important;
					}
				</style>
		<?php
			endif;
		}else{
			echo esc_html('Template does not exists!');
		}

	}else{
		echo esc_html('Something went wrong.. Could not find list for compare.');
	}
	wp_reset_query();
	echo '</div>';


	wp_enqueue_script( 'ilist_infog15_lights', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));


	$js_info = 'jQuery(document).ready(function($){
		lightbox.option({
		  "disableScrolling": true,
		  "maxWidth": 1000
	    });';
		
		if($disable_lightbox=="true"):
		$js_info .= '$("a").each(function(e){
			if(typeof $(this).attr("data-lightbox") != "undefined"){
				$(this).attr("href","#");
				$(this).removeAttr("data-lightbox");
				$(this).addClass("sldclickdisable");
				$(this).css("cursor","default");
			}		
		});';
		endif; 
		
	$js_info .= '})';

	if($maxwidth!=''){
		$js_info .= "jQuery(document).ready(function($){
			jQuery('.ilist-box-style-main').css('max-width','".$maxwidth."');
			jQuery('.ilist-box-style-main').addClass('ilist_responsive_maxwidth');
			
		})";

	}	


	wp_add_inline_script( 'ilist_infog15_lights', $js_info );


    $content = ob_get_clean();
    return $content;
}


?>