<?php 
defined('ABSPATH') or die("No direct script access!");

//Shortcode area
add_shortcode('qcld-ilist', 'qcilist_pro_textlist_full_shortcode');

function qcilist_pro_textlist_full_shortcode( $atts = array() ){
	
	ob_start();
	//Defaults & Set Parameters
	extract( shortcode_atts(
		array(
			'orderby' => 'title',
			'order' => 'ASC',
			'mode' => 'one',
			'list_id' => '',
			'upvote'	=>'',
			'column' => '1',
			'style' => '',
			'list_img' => 'true',
			'category' => "",
			'main_title' => "1",
			'item_orderby'=> "",
			'embed_option' => "1",
			'boxed_layout' => "0",
			'maxwidth' => "",
			'removesharebutton'=>"",
			'disable_lightbox' => "false",
			'capture' => "false",
			'display_copy_share' => 'false',
			'embed_as_image' => '',
		), $atts
	));

if($upvote==''){
	$upvote = ot_get_option('sl_enable_embed_list');
}
	
$shortcodeAtts = array(
		'orderby' => $orderby,
		'order' => $order,
		'mode' => $mode,
		'list_id' => $list_id,
		'upvote'	=> $upvote,
		'column' => $column,
		'style' => $style,
		'list_img' => $list_img,
		'main_title' => $main_title,
		'embed_option' => $embed_option,
		'category' => $category,
		'item_orderby'=>$item_orderby,
		'boxed_layout' => $boxed_layout,
		'maxwidth' => $maxwidth,
		'capture' => $capture,
		'display_copy_share' => $display_copy_share,
		'embed_as_image' => $embed_as_image,
	);
	//print_r($shortcodeAtts);exit;
	$limit = -1;

	if( $mode == 'one' )
	{
		$limit = 1;	
	}

	//Query Parameters
	$list_args = array(
		'post_type' => 'ilist',
		'orderby' => $orderby,
		'order' => $order,
		'posts_per_page' => $limit,
	);

	if( $list_id != "" && $mode == 'one' )
	{
		$list_args = array_merge($list_args, array( 'p' => $list_id ));
	}
	
	if( $category != "" )
	{
		$taxArray = array(
			array(
				'taxonomy' => 'sl_cat',
				'field'    => 'slug',
				'terms'    => $category,
			),
		);
		
		$list_args = array_merge($list_args, array( 'tax_query' => $taxArray ));
		
	}





	// The Query
	$list_query = new WP_Query( $list_args );

	// The Loop
	if ( $list_query->have_posts() ) 
	{

		$listId = 1;

		while ( $list_query->have_posts() ) 
		{
			$list_query->the_post();
			
			//$lists = get_cmb_group('qcopd_list_item01');
			//Finding Meta Post type.
			$sl_meta_post_type = get_post_meta( get_the_ID(), 'post_type_radio_sl' );
			//finding color effect//
			$ilist_holder_color = get_post_meta( get_the_ID(), 'ilist_holder_color' );
			$ilist_item_bgcolor = get_post_meta( get_the_ID(), 'ilist_item_bgcolor' );
			$ilist_title_color = get_post_meta( get_the_ID(), 'ilist_title_color' );
			$ilist_subtitle_color = get_post_meta( get_the_ID(), 'ilist_subtitle_color' );
			$ilist_border_color = get_post_meta( get_the_ID(), 'ilist_border_color' );
			$ilist_hoverbg_color = get_post_meta( get_the_ID(), 'ilist_hoverbg_color' );
			$ilist_hover_title_color = get_post_meta( get_the_ID(), 'ilist_hover_title_color' );
			$ilist_hover_desc_color = get_post_meta( get_the_ID(), 'ilist_hover_desc_color' );
			$ilist_itemnumber_color = get_post_meta( get_the_ID(), 'ilist_itemnumber_color' );
			$ilist_holder_bg_image = get_post_meta( get_the_ID(), 'ilist_holder_bg_image' );
			$ilist_title_font_size = get_post_meta( get_the_ID(), 'ilist_title_font_size' );
			$ilist_desc_font_size = get_post_meta( get_the_ID(), 'ilist_desc_font_size' );
			$qcld_css_animation_global = get_post_meta( get_the_ID(), 'qcld_css_animation_global' );
			
			//Getting Font Configuration//
			
			$ilist_title_font = get_post_meta( get_the_ID(), 'ilist_title_font' );
			$title_font = '';
			if(isset($ilist_title_font[0]) && !empty($ilist_title_font[0]) && $ilist_title_font[0]!='Other' ){
				$title_font = $ilist_title_font[0];
			}
			
			$ilist_desc_font = get_post_meta( get_the_ID(), 'ilist_desc_font' );
			$desc_font = '';
			if(isset($ilist_desc_font[0]) && !empty($ilist_desc_font[0]) && $ilist_desc_font[0]!='Other' ){
				$desc_font = $ilist_desc_font[0];
			}
			$ilist_title_other_font = get_post_meta( get_the_ID(), 'ilist_title_other_font' );
			$ilist_desc_other_font = get_post_meta( get_the_ID(), 'ilist_desc_other_font' );
			$ilist_chart = get_post_meta( get_the_ID(), 'ilist_chart' );
			$show_chart_position = get_post_meta( get_the_ID(), 'show_chart_position' );
			
			//Finding template Defined from user_error
			$template_code = '';
			if(isset($sl_meta_post_type[0])&&$sl_meta_post_type[0]=='textlist'){
				$sl_get_template = get_post_meta( get_the_ID(), 'qcld_sl_template_text' );
				$template_code = @$sl_get_template[0];
				
			}elseif(isset($sl_meta_post_type[0])&&$sl_meta_post_type[0]=='imagelist'){
				$sl_get_template = get_post_meta( get_the_ID(), 'qcld_sl_template_image' );
				$template_code = @$sl_get_template[0];
		
			}else{
				$sl_get_template = get_post_meta( get_the_ID(), 'qcld_sl_template_mix' );
				$template_code = @$sl_get_template[0];
				
			}
			//Getting Group Field Data.
			$lists = get_post_meta( get_the_ID(), 'qcld_text_group' );
			// Check Template Exists Or Not.
			if($style!=''){
				$template_code = $style;
			}

			if(!empty($embed_as_image) && $embed_as_image==true){
				$template_image = get_post_meta( get_the_ID(), 'shortcode_screenshoot_image' );
				if(!empty($template_image)){
				echo '<div class="ilist-capture-wrap"><img src='.$template_image[0].'></div>';
				}else{
					echo esc_html('Template Image does Not Exists!');
				}

			}else{

				if($capture == 'true'){
					$info_for_embed = '<p style="color:indianred">Click the Save as Image Button to Download as an Image and <strong>*Update*</strong> the Image Embed.</p>';
				echo '<div class="ilist-capture-wrap"><button class="ilist-download-btn" post-id='.get_the_ID().' title="Click to take screenshot" >Save as Image</button>'.$info_for_embed.'</div>';

					echo $main_title;

				echo '<style>.iList-outer-wrapper{padding: 15px !important;} ::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,.3);background-color:#f5f5f5}::-webkit-scrollbar{width:8px;background-color:#f5f5f5}::-webkit-scrollbar-thumb{background-color:#626262;border:2px solid #555}body{margin-top:-32px!important}</style>';
					
				}
				echo '<div id="iList-outer-wrapper"  class="iList-outer-wrapper '.$style.'" data-display_copy_share="'.$display_copy_share.'">';
				if(substr($template_code, -3)=='-th'){
					$template_code = substr($template_code, 0, -3);
					if(file_exists(get_template_directory()."/ilist" . "/$template_code/template.php")){
						require ( get_template_directory()."/ilist" . "/$template_code/template.php" );
						
					}else{
						//Template Not Exists.
						echo esc_html('Template does Not Exists!');
					}
					
				}else{
					$qc_ilist_dir = '';
					if ( file_exists( trailingslashit( get_stylesheet_directory() ) . "/ilist/templates/$template_code/template.php" ) ) { // Check Child theme First
						$qc_ilist_dir = trailingslashit( get_stylesheet_directory() ) . 'ilist/templates/';
					
					}elseif ( file_exists( trailingslashit( get_template_directory() ) . "/ilist/templates/$template_code/template.php" ) ) { // Check parent theme next
						$qc_ilist_dir = trailingslashit( get_template_directory() ) . 'ilist/templates/';

					}elseif(file_exists(OCOPD_TPL_DIR1. "/$template_code/template.php")){ // Check theme compatibility last
						$qc_ilist_dir = OCOPD_TPL_DIR1;
					}

					if( file_exists($qc_ilist_dir . "/$template_code/template.php") ){
						require($qc_ilist_dir . "/$template_code/template.php");
						if(strlen($maxwidth)>2 ):
					?>
							<style type="text/css">
								.qcld-list-hoder{
									max-width:<?php echo $maxwidth; ?> !important;
								}
							</style>
					<?php
						endif;
					}else{
						echo esc_html('Template does not exists!');
					}		
				
				}
			}
			//wp_reset_query();
			echo '</div>';

	wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));

	$js_info = 'jQuery(document).ready(function($){
		lightbox.option({
		  "disableScrolling": true,
		  "maxWidth": 1000
	    });';
		
		if($disable_lightbox=="true"):
		$js_info .= '$("a").each(function(e){
			if(typeof $(this).attr("data-lightbox") != "undefined"){
				$(this).attr("href","#");
				$(this).removeAttr("data-lightbox");
				$(this).addClass("sldclickdisable");
				$(this).css("cursor","default");
			}		
		});';
		endif; 
		
	$js_info .= '})';

	wp_add_inline_script( 'ilist_infog15_light', $js_info );


	if($main_title == 0){
		$ilist_custom_css = '.ilist-headline{display:none}
			.shadow-separator{display:none}';

		// ilist-main-custom-css
		wp_add_inline_style( 'ilist_infog15_light_css', $ilist_custom_css );
	}

	if($maxwidth!=''){

		$custom_js ="jQuery(document).ready(function($){
			jQuery('.ilist-box-style-main').css('max-width','".$maxwidth."');
			jQuery('.ilist-box-style-main').addClass('ilist_responsive_maxwidth');
		})";

		wp_add_inline_script( 'ilist_infog15_light', $custom_js );
		
	}


	if(isset($lists[0]) && is_array($lists[0])){
		$lists_item_count = count($lists[0]);
	}else{
		$lists_item_count = '0';
	}
?>

	<?php 
	$qcld_enable_disable_json_id = get_post_meta( get_the_ID(), 'qcld_enable_disable_json_id' );
	if( $qcld_enable_disable_json_id[0] != '0'){
	?>
	<script type="application/ld+json">
		{
		    "@context": "http://schema.org",
		    "@type": "ItemList",
		    "numberOfItems": "<?php echo $lists_item_count; ?>",
		    "itemListElement": [
		     <?php foreach( $lists as $list_sls ) : ?>
		            <?php 

		            $item_counts =1;
		            $item_countss =1;
		            $item_url_count =1;

		            foreach($list_sls as $list_item) : 

		                $list_item_title = '';
		                $list_item_description = '';
		                $list_item_image = '';

		                if(isset($list_item['qcld_text_title']) and !empty($list_item['qcld_text_title'])){
		                    $list_item_title =  ($list_item['qcld_text_title']);
		                }
		                if(isset($list_item['qcld_text_desc']) and !empty($list_item['qcld_text_desc'])){
		                   
		                    $list_item_description =  $list_item['qcld_text_desc'];
		                }
		                if(isset($list_item['qcld_text_image']) and !empty($list_item['qcld_text_image'])){
		                    $list_item_image =  $list_item['qcld_text_image'];
		                }

		                ?>
		        {
		            "@type": "ListItem",
		            "position": <?php echo $item_counts++; ?>,
		                    "image": "<?php echo esc_url($list_item_image); ?>",
		                    "name": "<?php echo esc_html($list_item_title); ?>",
		                    "description": "<?php echo esc_html(strip_tags($list_item_description)); ?>",
		                    "url": "<?php echo get_permalink(get_the_ID()); ?>?list-view=<?php echo $item_url_count++; ?>"
		        }
		        <?php if($item_countss++ != $lists_item_count){ ?>
		        ,
		        <?php } ?>

		        <?php endforeach; ?>
		            <?php endforeach; ?>
		    ]
		}
	</script>
<?php
			}


			$listId++;
		}	//End While
		wp_reset_query();


	}
	else
	{
		echo "<div>
				<p>".esc_html('No iList was found.')."</p>
			</div>";
	}
	//End IF

    $content = ob_get_clean();
    return $content;
}

function qcilist_pro_custom_sort_by_tpl_upvotes($a, $b){
	return (@$a['sl_thumbs_up']==''?0:$a['sl_thumbs_up']) * 1 < (@$b['sl_thumbs_up']==''?0:$b['sl_thumbs_up']) * 1;
}
?>