<?php 

wp_enqueue_style( 'ilist_img1_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style.css");
wp_enqueue_style( 'ilist_img1_stylesheet_responsive', OCOPD_TPL_URL1 . "/$template_code/css/responsive.css");
wp_enqueue_style( 'ilist_img5_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_img5_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));
	

wp_enqueue_style( 'ilist_img1_google_font2', "https://fonts.googleapis.com/css?family=Montserrat");

?>
<?php 
if($column>8){
	$column = 8;
}

$custom_css = "";
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	$itembg = 'style="background:'.$ilist_item_bgcolor[0].'"';
}
$hoderbg = 'style="overflow:hidden"'; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow:hidden"';
}

$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}
$subtitlecolor = ''; 
if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	$subtitlecolor = 'style="color:'.$ilist_subtitle_color[0].'"';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){

	$custom_css .= '.img1borderbg{
		
		border-color:  '.$ilist_border_color[0].'!important;
	}';
}

//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	
	$custom_css .= '.sl6tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}';
}
$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}

if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){

	$custom_css .= '.img1hoveritem:hover{
		background:'.$ilist_hoverbg_color[0].'!important;
	}';
}
if(isset($ilist_hover_title_color[0])){

	$custom_css .= '.sl6hovertitlecolor:hover >h2{
		color:'.$ilist_hover_title_color[0].' !important;
	}';
}
if(isset($ilist_hover_desc_color[0])){

	$custom_css .= '.sl6hoverdesccolor:hover> h3{
		color:'.$ilist_hover_desc_color[0].' !important;
	}';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	$custom_css .= '.sl6titlefont{font-family:'.$title_font.'!important;}';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		$custom_css .= '.sl6titlefont{font-family:'.$titlefamily.'!important;}';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			$custom_css .= '.sl4descfont p{font-family:'.$desc_font.'!important;}';
	}else{
		$custom_css .= '.sl6descfont p{font-family:'.$title_font.'!important;}';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		$custom_css .= '.sl6descfont p{font-family:'.$titlefamily.';}';
	}
}


	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :

		// $custom_css .= trim($customCss);
		$custom_css .= str_replace('\\', '', trim($customCss) );

	endif; 

	wp_add_inline_style( 'ilist_img1_stylesheet', $custom_css );


 if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl6titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>


<div id="qcld-list-holder" class="qcld-list-hoder img1bgimage" <?php echo $hoderbg ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="sl6titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
	<ul>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';
				}
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				
			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	<?php foreach( $lists as $list_sl ) : ?>
	<?php 
		$cnt=1;
		if( $item_orderby == 'upvote' )
		{
			usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
		}
	?>
	
	<?php foreach($list_sl as $list) : ?>
		<li id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>" class="ilist_img1_list-style-five ilist_img1_listy-style-five-01 ilist_img1_qcld_column<?php echo $column; ?> wow <?php echo @$list['qcld_css_animation']; ?>" >
			<div class="ilist_img1_qcld_style"><!--col-md-6 col-sm-6-->
				<?php if( $upvote == 'on' ) : ?>

				<!-- upvote section -->
				<div class="upvote-section" style="cursor:pointer">
					<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo (trim($list['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on">
						<i class="fa fa-thumbs-up"></i>
					</span>
					<span class="upvote-count-ilist">
						<?php 
						  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
							echo (int)$list['sl_thumbs_up'];
						  }
						?>
					</span>
				</div>
				<!-- /upvote section -->

				<?php endif; ?>
                
                
                
                
                
    <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->                 
                
                
                
			   <a class="example-image-link" href="<?php echo (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?$list['qcld_image_link']:$list['qcld_text_image']); ?>" <?php echo (isset($list['qcld_image_link']) && $list['qcld_image_link']!=''?'target="_blank"':'data-lightbox="example-'. ($cnt).'"'); ?>><div class="ilist_img1_list-inner-part-five img1hoveritem" <?php echo $itembg ?>>
			  
					<div class="ilist_img1_effect-style-one"></div>
					<div class="ilist_img1_effect-style-two"></div>
					<div class="ilist_img1_effect-style-three"></div>
					<div class="ilist_img1_effect-style-four"><p class="ilist_img1_qcldtitle sl6titlefont" <?php echo $titlecolor ?>><?php echo ($list['qcld_text_title']); ?><?php ilist_progress_bar(@$list['qcld_progress_bar']); ?></p></div>
					<div class="ilist_img1_effect-style-five"></div>
					<?php if(!empty($list['qcld_text_image'])){ ?>
					<img class="ilist_img1_example-image" src="<?php echo ($list['qcld_text_image']); ?>" alt="image-1" />
					<?php } ?>

				</div></a>
			</div><!--/col-md-6 col-sm-6-->
		</li>
		<?php $cnt++; ?>
		<?php endforeach; ?>
		<?php endforeach; ?>
	</ul>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='bottom'){
	?>
		<div style="clear:both;margin-bottom:50px"></div>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';
				}
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				
			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	</div>
	</div>
</div>
<?php if($boxed_layout==1): ?> </div> <?php endif; ?>
<div style="clear:both"></div>

