<?php 
wp_enqueue_style( 'ilist_prestyle21_stylesheet', OCOPD_TPL_URL1 . "/$template_code/css/style.css");
wp_enqueue_style( 'ilist_infog32_slick', OCOPD_TPL_URL1 . "/$template_code/css/slick.css");
wp_enqueue_style( 'ilist_infog32_slick-theme', OCOPD_TPL_URL1 . "/$template_code/css/slick-theme.css");


wp_enqueue_style( 'ilist_infog15_light_css', QCOPD_ASSETS_URL1 . "/css/lightbox.min.css");
wp_enqueue_script( 'ilist_infog15_light', QCOPD_ASSETS_URL1 . "/js/lightbox-plus-jquery.min.js", array('jquery'));


wp_enqueue_script( 'ilist_infog32_slick-js', OCOPD_TPL_URL1 . "/$template_code/js/slick.min.js", array('jquery'));

if(!is_admin()){

 wp_add_inline_script( 'ilist_infog32_slick-js', 'jQuery(document).ready(function($){

    jQuery(".iList-infograph .level div").first().addClass("active");
    jQuery(".iList-infograph .level div").click(function () {
        jQuery(".iList-infograph .level div").removeClass("active");
        jQuery(this).addClass("active");
        var tabId = jQuery(this).attr("id");
        jQuery(".iList-infograph .contents div").hide();
        jQuery("#" + tabId + "-content").css("display", "flex").fadeIn(1000);
    });

jQuery(".slider-nav").slick({
    slidesToShow: 4,
    slidesToScroll: 4,
    dots: true,
    infinite: true,
    cssEase: "linear",
	

responsive: [
   
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 4,
        slidesToScroll: 4,
        infinite: true,
        dots: true
      }
    },   
   
   
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 3,
        infinite: true,
        dots: true
      }
    },
    {
      breakpoint: 768,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2
      }
    },
	
    {
      breakpoint: 580,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    },	
	
    {
      breakpoint: 360,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]	
	
	
	
	
});

}) ' );

}
?>
<?php 
	$customCss = ot_get_option( 'sl_custom_style' );

	if( trim($customCss) != "" ) :
?>
	<style>
		<?php echo trim($customCss); ?>
	</style>
	
<?php endif; ?>
<?php 

if($column>4){
	$column = 4;
}
$itembg = ''; 
if(isset($ilist_item_bgcolor[0]) && !empty($ilist_item_bgcolor[0])){
	echo '<style type="text/css">

	.presi20itembgcolor {
		background:'.$ilist_item_bgcolor[0].' !important;
	}
	</style>';	
}
if(isset($ilist_hoverbg_color[0]) && !empty($ilist_hoverbg_color[0])){
echo '<style type="text/css">
.prestl20bghovercolor:hover{
	background:'.$ilist_hoverbg_color[0].'!important;
}
</style>';
}
$hoderbg = 'style="overflow:hidden"'; 
if(isset($ilist_holder_color[0]) && !empty($ilist_holder_color[0])){
	$hoderbg = 'style="background:'.$ilist_holder_color[0].';overflow:hidden"';
}
/*
if(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0])){
	echo '<style type="text/css">

	.sl2bgimage {
		background-image:url('.$ilist_holder_bg_image[0].') !important;
		background-repeat: no-repeat !important;
		background-position: center center !important;
	}
	</style>';
}
*/
$titlecolor = ''; 
if(isset($ilist_title_color[0]) && !empty($ilist_title_color[0])){
	$titlecolor = 'style="color:'.$ilist_title_color[0].'"';
}

if(isset($ilist_subtitle_color[0]) && !empty($ilist_subtitle_color[0])){
	
	echo '<style type="text/css">
.prestl20subtitle>p{
	color:'.$ilist_subtitle_color[0].'!important;
}
</style>';
}
$bordercolor = ''; 
if(isset($ilist_border_color[0]) && !empty($ilist_border_color[0])){
	$bordercolor = 'style="background:'.$ilist_border_color[0].'"';
}
$itemnumbercolor = ''; 
if(isset($ilist_itemnumber_color[0]) && !empty($ilist_itemnumber_color[0])){
	$itemnumbercolor = 'style="color:'.$ilist_itemnumber_color[0].'"';
}


if(isset($ilist_hover_title_color[0]) && $ilist_hover_title_color[0]!=''){
echo '<style type="text/css">
.prestl20thovercolor:hover {
	color:'.$ilist_hover_title_color[0].' !important;
}

</style>';
}
//title font size
if(isset($ilist_title_font_size[0]) && !empty($ilist_title_font_size[0])){
	echo '<style type="text/css">

		.sl20tfontsize{
			font-size:'.$ilist_title_font_size[0].'px!important;
		}
		</style>';
}
//description font size//
if(isset($ilist_desc_font_size[0]) && !empty($ilist_desc_font_size[0])){
	echo '<style type="text/css">

		.infog20dfontsize p{
			font-size:'.$ilist_desc_font_size[0].'px!important;
		}
		</style>';
}

if(isset($ilist_hover_desc_color[0]) && $ilist_hover_desc_color[0]!=''){
echo '<style type="text/css">
.prestl20dhovercolor:hover >p {
	color:'.$ilist_hover_desc_color[0].' !important;
}

</style>';
}
//code for Title font//

if(!empty($title_font) && $title_font!='Others'){
	echo '<link href="https://fonts.googleapis.com/css?family='.$title_font.'" rel="stylesheet">';
	echo '<style type="text/css">.sl26titlefont{font-family:'.$title_font.'!important;}</style>';
}else{
	if(isset($ilist_title_other_font[0]) && !empty($ilist_title_other_font[0])){
		echo '<link href="'.$ilist_title_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_title_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl26titlefont{font-family:'.$titlefamily.'!important;}</style>';
	}
}
// Code for Desc font//
if(!empty($desc_font) && $desc_font!='Others'){
	if($title_font!=$desc_font){
			echo '<link href="https://fonts.googleapis.com/css?family='.$desc_font.'" rel="stylesheet">';
			echo '<style type="text/css">.sl26descfont p{font-family:'.$desc_font.'!important;}</style>';
	}else{
		echo '<style type="text/css">.sl26descfont p{font-family:'.$title_font.'!important;}</style>';
	}
}else{
	if(isset($ilist_desc_other_font[0]) && !empty($ilist_desc_other_font[0])){
		echo '<link href="'.$ilist_desc_other_font[0].'" rel="stylesheet">';
		$getfamily = explode('family=',$ilist_desc_other_font[0]);
		$getfamily1 = explode('"',$getfamily[1]);
		$titlefamily = $getfamily1[0];
		echo '<style type="text/css">.sl26descfont p{font-family:'.$titlefamily.';}</style>';
	}
}
?>

<?php 
	$rtlSettings = ot_get_option( 'sl_enable_rtl' );
	$rtlClass = "";

	if( $rtlSettings == 'on' )
	{
	   $rtlClass = "ilist_direction";
	}
?>

<?php if($boxed_layout==1): ?>
	<div class="ilist-box-style-main "><!--ilist-box-style-main -->
		<div class="ilist-box-header box-shadow">
			<div class="ilist-border-style-top"><!--ilist-border-style-top-->
				<span class="ilist-border ilist-border-01"></span>
				<span class="ilist-border ilist-border-02"></span>
				<span class="ilist-border ilist-border-03"></span>
				<span class="ilist-border ilist-border-04"></span>
			</div><!--end ilist-border-style-top-->
			
			
			<div class="ilist-headline">
				<?php 
				if($main_title==1){
				?>
				<h2 class="sl26titlefont">
				  <span><?php echo get_the_title(); ?></span>
				</h2>
				<?php } ?>
			</div>
			<div class="shadow-separator"></div>
		</div>    

<?php endif; ?>
<div id="qcld-list-holder" class="qcld-list-hoder sl20bgimage" <?php echo $hoderbg; ?>>
	<div id="qcopd-list-<?php echo $listId; ?>" class="">
		<div class="qcopd-single-list">
			<?php 
				if($embed_option==1){do_action('qcsl_after_add_btn', $shortcodeAtts);}
			?>		
	<?php 
	if($main_title==1 and $boxed_layout==0){
	?>
		<h3 style="height: 40px;" class="sl26titlefont">
		<?php echo get_the_title(); ?>
		</h3>
	<?php } ?>	
	<div style="clear:both;margin-bottom:20px"></div>
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='top'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}elseif(isset($ilist_holder_bg_image[0]) && !empty($ilist_holder_bg_image[0]) and $show_chart_position[0]=='top'){
	?>
		<div class="qcld_list_img_top_bottom_wrap">
			<?php 

				if(isset($qcld_css_animation_global[0]) && !empty($qcld_css_animation_global[0])){
					$qcld_css_animation_globals = 'wow '.$qcld_css_animation_global[0];
				}else{
				$qcld_css_animation_globals='';
				}
			
				echo '<img src="'.$ilist_holder_bg_image[0].'"  class="'.$qcld_css_animation_globals.'">';
				
			?>
		</div>
		<div style="clear:both;margin-bottom:50px"></div>
	<?php 
	}
	?>
	
<?php foreach( $lists as $list_sl ) : 
$cnt=1;
?>

<?php foreach($list_sl as $list) : ?>
	
<?php if(isset($list['qcld_entrybg_color']) && $list['qcld_entrybg_color']!=''): ?>
	<style>
	.iList-infograph .style32-level-<?php echo (($cnt%5)+1); ?>{
		background:<?php echo $list['qcld_entrybg_color']; ?> !important;
	}
	.iList-infograph .style32-level-<?php echo (($cnt%5)+1); ?>:after{
		border-top:50px solid <?php echo $list['qcld_entrybg_color']; ?> !important;
	}

	</style>
<?php endif; 
$cnt++;
?>	
<?php endforeach; ?>
<?php endforeach; ?>
	<section class="iList-infograph text-center">
		<div class="ilist-container" style="padding: 0px 10px;">
			<div class="row slider slider-nav">
				<?php foreach( $lists as $list_sl ) : ?>
					<?php 
						$cnt=1;
						if( $item_orderby == 'upvote' )
						{
							usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
						}
					?>
					<?php foreach($list_sl as $list) : ?>
					
					<div class="ilist-card-column-5 single-item" id="qcld_sl_<?php echo get_the_ID()."_".$cnt ?>">
					  <div class="level">
						<div id="ilist-tab<?php echo $cnt; ?>" class="style32-level-<?php echo (($cnt%5)+1); ?>" >
						  <h3><?php 
										
										echo ($list['qcld_text_title']);
									?></h3>
						  <?php if( $upvote == 'on' ) : ?>

						<!-- upvote section -->
						<div class="upvote-section" style="cursor:pointer;display: inline-block;">
							<span data-post-id="<?php echo get_the_ID(); ?>" data-item-title="<?php echo (trim($list['qcld_text_title'])); ?>" class="upvote-btn-ilist upvote-on upvote-icon">
								<i class="fa fa-thumbs-up"></i>
							</span>
							<span class="upvote-count-ilist counter">
								<?php 
								  if( isset($list['sl_thumbs_up']) && (int)$list['sl_thumbs_up'] > 0 ){
									echo (int)$list['sl_thumbs_up'];
								  }
								?>
							</span>
						</div>
						<!-- /upvote section -->
					<?php endif; ?>	
                    
                    
                    
                    
                               
                            
                            
                            
 	 <!-- Start Copy and Share Button  -->
				<div class="qcilist-copy-share-section">
					<div class="copy-success-message">
						Copied
					</div>
					<div class="list-twentyTwo-copied-content" id="qcld_copy_content_sl_<?php echo get_the_ID()."_".$cnt ?>">
						<div><?php echo $list['qcld_text_title']; ?></div>
						<div><?php echo $list['qcld_text_desc']; ?></div>
					</div>
					<?php
						$post_link_url = get_permalink();
						//$post_link_url = 'https://quantumcloud.com';
						//$shared_texts = wp_strip_all_tags($list['qcld_text_title'].'. '.$list['qcld_text_desc']);
						$qcld_text_title = isset($list['qcld_text_title']) ? $list['qcld_text_title'] : '';
						$qcld_text_desc = isset($list['qcld_text_desc']) ? $list['qcld_text_desc'] : '';
						$shared_texts = wp_strip_all_tags($qcld_text_title.'. '.$qcld_text_desc);
					?>
					<div class="qcilist-copy-share-button">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
					</div>
					<div class="qcilist-copy-share-button-lists-container">
						<div class="qcilist-copy-share-button-lists">
							<div class="qcilist-copy-share-single-button qcilist-copy-button">
								<a title="Copy to Clipbord"><i class="fa fa-scissors" aria-hidden="true"></i></a>
							</div>
							<div class="qcilist-copy-share-single-button qcilist-share-twitter-button">
								<a  title="Share to Twitter" 
									href="https://twitter.com/intent/tweet?text=<?php echo $shared_texts ?> — <?php echo $post_link_url; ?>"
									target="_blank"
								>
								  <span>
									<i class="fa fa-twitter" aria-hidden="true"></i>
								  </span>
								</a>
							</div>
						</div>
					</div>
				</div>
				<!-- End Copy and Share Button  -->    							
								                          
                                          
                    
                    
                    
                    
                    
                    
                    
                    
						</div>
					  </div>
					</div>
					
					<?php $cnt++; ?>
					<?php endforeach; ?>
				<?php endforeach; ?>
			</div>
			
			<div class="contents">
				<?php foreach( $lists as $list_sl ) : ?>
					<?php 
						$cnt=1;
						if( $item_orderby == 'upvote' )
						{
							usort($list_sl, "qcilist_pro_custom_sort_by_tpl_upvotes");
						}
					?>
					<?php foreach($list_sl as $list) : ?>
					
					<div id="ilist-tab<?php echo $cnt; ?>-content" class="style32-level-<?php echo (($cnt%5)+1); ?>">
						<?php 
							if(!empty($list['qcld_text_desc'])){
						?>
							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							<a class="ilist-fancybox" id="#ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>">
							<?php 	} ?>
							<span class="sl20descfont prestl20subtitle infog20dfontsize prestl20dhovercolor item-subtitle-x3 sl26descfont">
							<?php ilist_progress_bar(@$list['qcld_progress_bar']); ?>
								<?php 
									echo apply_filters('the_content',$list['qcld_text_desc']);
									
								?>
							</span>			

							<?php if(!empty($list['qcld_text_long_desc'])){ ?>
							</a>							
							<span id="ilist-fancybox-id-<?php echo qcilist_pro_title_special_character_clean($list['qcld_text_title']); ?>" style="display:none;">	
							<span class="ilist-fancybox-content" >	
							<?php echo apply_filters('the_content',$list['qcld_text_long_desc']); ?>
							</span>
							</span>
							<?php 	} ?>			
						<?php
							}
						?>
					</div>
					
					<?php $cnt++; ?>
					<?php endforeach; ?>
				<?php endforeach; ?>
			</div>
		
		
		
		</div>
	</section>
	
<script type="text/javascript">

jQuery(document).ready(function($){

	 // jQuery(".ilist-fancybox-show .iList-infograph .level div").click(function () {
  //       jQuery(".ilist-fancybox-show .iList-infograph .level div").removeClass("active");
  //       jQuery(this).addClass("active");
  //       var tabId = jQuery(this).attr("id");
  //       jQuery(".ilist-fancybox-show .iList-infograph .contents div").hide();
  //       jQuery("#" + tabId + "-content").fadeIn(1000);
  //   });



	$(document).on("click", ".ilist-fancybox-show", function() {

	//setTimeout(function(){ 
		//alert('hello');

    jQuery(".ilist-fancybox-show .iList-infograph .level div").first().addClass("active");
   


jQuery('.slider-nav').slick({
    slidesToShow: 4,
    slidesToScroll: 4,
    dots: true,
    infinite: true,
    cssEase: 'linear',
	

responsive: [
   
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 4,
        slidesToScroll: 4,
        infinite: true,
        dots: true
      }
    },   
   
   
    {
      breakpoint: 1024,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 3,
        infinite: true,
        dots: true
      }
    },
    {
      breakpoint: 768,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 2
      }
    },
	
    {
      breakpoint: 580,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    },	
	
    {
      breakpoint: 360,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]	
	
	
	
	
});
//}, 1000);

})



		})


</script>	
	
	<?php
	if(isset($ilist_chart[0]) && !empty($ilist_chart[0]) and $show_chart_position[0]=='bottom'){
	?>
	<div class="qcld_list_chart_top_bottom_wrap">
		<?php echo do_shortcode($ilist_chart[0]);?>
	</div>
	<?php
	}
	?>

	</div>
	</div>
</div>

<?php if($boxed_layout==1): ?> </div> <?php endif; ?>

